2008-03-02 19:18  pabs

	* [r1839] NEWS, configure.ac: Woops, forgot to bump versions for
	  the dependencies on ETL and synfig.

2008-03-02 19:16  pabs

	* [r1838] README: Woops, add Aurore D to the copyright holders.

2008-03-02 19:01  pabs

	* [r1837] NEWS, configure.ac: Releasing 0.61.08!

2008-03-02 18:54  pabs

	* [r1836] AUTHORS, images/splash_screen.sif, src/gtkmm/about.cpp:
	  Add the winner of the February Challenge as the new splash
	  screen!

2008-03-02 17:25  pabs

	* [r1835] images/Makefile.am, images/splash_screen-0.61.07.sif,
	  images/splash_screen.sif: Rename the current splash screen to
	  make way for the winner of the February Challenge!

2008-03-02 15:54  dooglus

	* [r1834] src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp: Typos.

2008-03-02 15:53  dooglus

	* [r1833] src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp: Typos.

2008-03-02 15:28  pabs

	* [r1831] po/fr.po: Update Français translation by Aurore D (rore).

2008-03-02 13:55  pabs

	* [r1829] po/es.po: Apply 1905598: Checked in new Spanish
	  translations from genete.

2008-03-01 20:59  dooglus

	* [r1828] src/gtkmm/app.cpp: Don't complain about not being able to
	  start the browser when the user's first choice of browser works.

2008-03-01 06:55  pabs

	* [r1827] NEWS: Rewrite the 0.61.08 news entries as summaries
	  instead of essays. Include a link to the releases page for
	  lengthier release notes.

2008-02-29 15:47  dooglus

	* [r1826] po/es.po: Apply 1901639: Checked in new Spanish
	  translations from genete.

2008-02-29 15:36  dooglus

	* [r1824] src/gtkmm/dialog_setup.cpp: Add the new time format to
	  the "Setup" dialog.

2008-02-29 11:27  pabs

	* [r1821] src/gtkmm/about.cpp, src/gtkmm/about.h: Make the website
	  in the about dialog a clickable link.

2008-02-28 08:11  pabs

	* [r1820] configure.ac, src/gtkmm/app.cpp: Improve the browser
	  launch functionality:
	  
	  * Respect user preferences (use "xdg-open" on Linux, "open" on
	  MacOS)
	  * Try a list of browsers instead of just one
	  * Show a message dialog if none of the browsers could be loaded

2008-02-27 08:00  pabs

	* [r1819] src/gtkmm/app.cpp, src/gtkmm/splash.cpp,
	  src/gtkmm/splash.h: Prepare for the new splash screen; remove old
	  text from the splash, add a shadow frame, only do startup notify
	  after the splash, general clean up.

2008-02-26 09:24  dooglus

	* [r1818] src/gtkmm/app.cpp: When recovering from auto-saved backup
	  files, only add the recovered file to the 'recent files' list if
	  it has a real filename, as opposed to the "Synfig Animation
	  <n>.sifz" name it was given when first created.

2008-02-25 23:27  dooglus

	* [r1817] src/gtkmm/app.cpp: Studio was crashing on Windows if
	  built with debug enabled when trying to recover a file which
	  hadn't yet been saved at all.

2008-02-25 16:37  dooglus

	* [r1816] src/gtkmm/app.cpp: Fix 1837445: Convert path to profile
	  directory from UTF8 before trying to use it.

2008-02-24 20:50  dooglus

	* [r1814] src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h:
	  Use #defined colour values.

2008-02-24 05:51  pabs

	* [r1811] src/gtkmm/iconcontroller.cpp: Make a Windows specific fix
	  specific to Windows

2008-02-24 05:38  pabs

	* [r1810] build_tools/autorevision.sh: Fix the fix for uncommitted
	  local git-svn changes.

2008-02-24 05:16  pabs

	* [r1809] src/gtkmm/app.cpp, src/gtkmm/duck.cpp,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/iconcontroller.cpp,
	  src/gtkmm/state_bline.cpp,
	  src/synfigapp/actions/valuenodereplace.cpp: Add a patch from
	  Gerald Young (Yoyobuae) to fix building on Win32 after the mutex
	  changes.

2008-02-23 12:59  dooglus

	* [r1808] src/gtkmm/app.cpp: Use resize() to resize windows.
	  set_default_size() doesn't work on the root window, since it has
	  already been presented, and set_size_request() prevents the user
	  from reducing the window's size. Also, wait until the size and
	  position are set before presenting the window.

2008-02-23 04:15  pabs

	* [r1806] AUTHORS, images/bline_icon.sif, images/circle_icon.sif,
	  images/draw_icon.sif, images/eyedrop_icon.sif,
	  images/fill_icon.sif, images/gradient_icon.sif,
	  images/mirror_icon.sif, images/polygon_icon.sif,
	  images/rectangle_icon.sif, images/rotate_icon.sif,
	  images/scale_icon.sif, images/sketch_icon.sif,
	  images/smooth_move_icon.sif, images/zoom_icon.sif,
	  src/gtkmm/about.cpp: Replace PXEGeek with pixelgeek

2008-02-23 02:18  dooglus

	* [r1804] src/gtkmm/app.cpp: Hide the root canvas if we have saved
	  the position and size of other canvases and not of the root
	  canvas.

2008-02-23 01:33  dooglus

	* [r1803] src/gtkmm/app.cpp: Add Gerald Young's copyright.

2008-02-23 01:25  dooglus

	* [r1802] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/instance.cpp: Checked in a patch from Gerald Young
	  (Yoyobuae) to save and restore the state (with canvases are open,
	  and their position and size) for each of the recent files.

2008-02-23 01:25  dooglus

	* [r1801] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/asyncrenderer.cpp, src/gtkmm/asyncrenderer.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dialog_setup.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/preview.cpp, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h: Conditionally compile out the 'single
	  threaded' stuff. It doesn't work very well still, so it's better
	  not to present it to the user yet.

2008-02-22 23:20  dooglus

	* [r1800] src/gtkmm/widget_coloredit.cpp: Make the spinbuttons with
	  the R,G,B,A color values in them a bit wider. The values can get
	  quite large. Also, display one decimal place, rather than
	  rounding to an integer.

2008-02-21 04:43  pabs

	* [r1796] build_tools/autorevision.sh: Fix bug with the
	  autorevision git-svn support where local, non-committed changes
	  did not add an M to the devel version.

2008-02-20 21:28  dooglus

	* [r1795] po/POTFILES.in: Add value_desc.cpp to the list of files
	  to translate.

2008-02-20 21:17  dooglus

	* [r1794] po/es.po: Commit 1898184: Updated translation for
	  studio/es.po. Thanks genete.

2008-02-20 18:21  dooglus

	* [r1792] src/gtkmm/about.cpp, src/gtkmm/splash.cpp: As before, the
	  date is sufficient. We don't need to keep rebuilding this just to
	  get the current time in the splash screen or about dialog.

2008-02-20 16:13  dooglus

	* [r1790] src/gtkmm/layeractionmanager.cpp: Simplify the code.
	  There's no need to check whether we're increasing or decreasing
	  the amount; we already know.

2008-02-20 15:56  dooglus

	* [r1789] src/gtkmm/workarea.cpp: Two new words for translation:
	  "Move" and "Nudge".

2008-02-20 15:30  dooglus

	* [r1787] src/gtkmm/duckmatic.cpp: Draw in the complete outline of
	  a selected polygon if it is 'looped'. This allows the creation of
	  new points on any existing side.

2008-02-20 15:30  dooglus

	* [r1786] src/gtkmm/duckmatic.cpp: Turning the first point in a
	  polygon 'off' was causing a crash.

2008-02-20 10:34  dooglus

	* [r1785] src/gtkmm/dialog_setup.cpp: Fix the last commit so it
	  doesn't modify the strings. I had added a colon to the end of
	  each label.

2008-02-20 09:43  dooglus

	* [r1784] src/gtkmm/dialog_setup.cpp: Tidied up the "Misc." tab of
	  the settings dialog.

2008-02-20 02:07  dooglus

	* [r1783] src/gtkmm/canvasview.cpp: Don't show "Synfig Animation 1"
	  in the title bar twice for unnamed documents. If the document
	  isn't saved yet, only show the canvas's name.

2008-02-20 02:06  dooglus

	* [r1782] src/gtkmm/instance.cpp, src/gtkmm/instance.h: Moved the
	  check for whether an instance has a real filename into a new
	  method, since it's used in a couple of places.

2008-02-20 02:06  dooglus

	* [r1781] src/gtkmm/app.cpp: Tidied up the default naming of the
	  file and canvas upon creation.

2008-02-20 01:32  dooglus

	* [r1780] src/gtkmm/dialog_setup.cpp: Reorder the rows so the
	  checkboxes are together at the end.

2008-02-20 01:32  dooglus

	* [r1779] src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/state_circle.cpp, src/gtkmm/workarea.cpp: Remove the
	  special case code for when the screen is 'flipped'. Arbitrary
	  transformations can be in place, so let's not try to special case
	  them all. Just let the radius ducks go where they are transformed
	  to.

2008-02-20 01:32  dooglus

	* [r1778] src/gtkmm/renderer_ducks.cpp: Fix the displayed radius
	  size while hovering over (or dragging) a radius duck.

2008-02-20 01:32  dooglus

	* [r1777] src/gtkmm/dockable.cpp: Uncomment the code that gets
	  add_button() to set the tooltip. The function only seems to still
	  be used for the 'Meta' panel anyway.

2008-02-19 23:21  dooglus

	* [r1776] po/es.po: Apply 1897389: Revised missed or extra spaces
	  on Spanish translation.

2008-02-19 23:20  dooglus

	* [r1775] src/gtkmm/renderer_ducks.cpp: Limit the radius ducks to
	  their quadrant before transforming. Otherwise rotations, negative
	  stretches, etc. can cause problems.

2008-02-19 22:40  dooglus

	* [r1774] po/es.po: Checked in 1897315: Updated Spanish
	  translations for core and studio from genete.

2008-02-19 18:53  dooglus

	* [r1772] src/gtkmm/state_bline.cpp: Commented a couple more state
	  change notifications.

2008-02-19 18:53  dooglus

	* [r1771] src/gtkmm/duck.cpp: Made the rotation counter quieter
	  still - it only starts reporting the rotation count once it
	  reaches 1 (or -1), so it's possible to draw a regular bline
	  without seeing output.

2008-02-19 18:52  dooglus

	* [r1770] src/gtkmm/state_bline.cpp, src/gtkmm/state_draw.cpp:
	  Remove more console output.

2008-02-19 18:52  dooglus

	* [r1768] src/gtkmm/state_stroke.cpp: Make the "stroke" state used
	  by the draw tool quieter too.

2008-02-19 18:52  dooglus

	* [r1767] src/gtkmm/state_draw.cpp: Make the draw tool quieter.

2008-02-19 18:52  dooglus

	* [r1766] src/gtkmm/state_draw.cpp: Removed debugging printf().

2008-02-19 18:52  dooglus

	* [r1765] src/gtkmm/duck.cpp: Be quieter about tangent rotation -
	  only report half turns, not quarter turns.

2008-02-19 18:51  dooglus

	* [r1764] src/synfigapp/canvasinterface.cpp: Use
	  ValueNode_DynamicList::set_member_canvas() to set the canvas for
	  each blinepoint in shapes with blines added via the "New Layer"
	  menu.

2008-02-19 18:51  dooglus

	* [r1763] src/gtkmm/state_bline.cpp: Use
	  ValueNode_DynamicList::set_member_canvas() to set the canvas for
	  each blinepoint in newly drawn shapes.

2008-02-19 18:51  dooglus

	* [r1762] src/gtkmm/state_draw.cpp: Use
	  ValueNode_DynamicList::set_member_canvas() to set the canvas for
	  each blinepoint in newly drawn shapes.

2008-02-19 15:34  dooglus

	* [r1760] src/synfigapp/actions/valuedescset.cpp: Removed a few
	  debugging printf()s.

2008-02-19 15:34  dooglus

	* [r1759] src/synfigapp/canvasinterface.cpp: The "warning: Can't
	  get canvas from value desc...?" message was being shown too
	  often. Fixed it.

2008-02-19 15:34  dooglus

	* [r1758] src/gtkmm/layeractionmanager.cpp: Prevent a warning
	  "Gtk-CRITICAL **: gtk_action_set_action_group: assertion
	  `action_group == NULL' failed" caused by adding an action to more
	  than one group.

2008-02-19 15:34  dooglus

	* [r1757] src/gtkmm/canvasoptions.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h: Fix 1896834: Keep the 'show grid' and
	  'snap to grid' checkboxes in the caret menu up to date.

2008-02-19 15:33  dooglus

	* [r1756] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h: Removed
	  unused code. The duck toggle actions look after themselves.

2008-02-19 10:31  dooglus

	* [r1755] src/gtkmm/dock_layers.cpp,
	  src/gtkmm/layeractionmanager.cpp, src/gtkmm/layeractionmanager.h:
	  Show the 'select all child layers' icon in the layers panel all
	  the time, rather than adding and removing it.

2008-02-19 08:57  dooglus

	* [r1754] images/select_all_child_layers_icon.sif: Apply 1896518:
	  New icon for 'select all child layers' from genete.

2008-02-18 19:01  dooglus

	* [r1751] src/gtkmm/dock_history.cpp, src/gtkmm/dock_history.h:
	  Added a new icon to the History panel to clear out all the undo
	  and redo history at once.

2008-02-18 18:16  dooglus

	* [r1750] src/gtkmm/state_bline.cpp: r1747 left the green duck
	  feature disabled. This enables it.

2008-02-18 18:15  dooglus

	* [r1749] src/gtkmm/historytreestore.h: A previous commit made
	  curr_row public, but it isn't used.

2008-02-18 18:15  dooglus

	* [r1748] src/gtkmm/duck.h: Commented the Duck::Type enum.

2008-02-18 18:08  dooglus

	* [r1747] src/gtkmm/state_bline.cpp: The bline tool was sometimes
	  showing the first duck in the new bline as green once the line
	  was looped. This change makes it always do that.

2008-02-18 16:34  dooglus

	* [r1746] src/gtkmm/dock_history.cpp, src/gtkmm/dock_history.h,
	  src/gtkmm/historytreestore.cpp, src/gtkmm/historytreestore.h:
	  Scroll the History panel to keep the border between 'done' and
	  'undone' in the centre of the panel if possible. Also, select the
	  most recently 'done' action, if any.

2008-02-18 11:22  dooglus

	* [r1745] src/gtkmm/layertree.cpp: Prevent warning: "Gtk-CRITICAL
	  **: gtk_tree_view_column_cell_layout_pack_start: assertion `!
	  gtk_tree_view_column_get_cell_info (column, cell)' failed".

2008-02-18 00:29  dooglus

	* [r1744] src/gtkmm/keyframeactionmanager.cpp: Fix capitalization.

2008-02-18 00:29  dooglus

	* [r1743] src/gtkmm/keyframeactionmanager.cpp: Fix 1895689: Add a
	  tooltip for the 'keyframe properties' icon.

2008-02-17 22:11  dooglus

	* [r1742] images/encapsulate_icon.sif: New simplified version from
	  genete.

2008-02-17 20:43  dooglus

	* [r1741] src/synfigapp/canvasinterface.cpp: Convert static lists
	  entirely consisting of blinepoints into 'bline' valuenodes, not
	  'dynamic_list' valuenodes. This will allow outlines, plants, etc.
	  to be directly editable as soon as they're created from the 'new
	  layer' menu.

2008-02-17 20:42  dooglus

	* [r1740] src/synfigapp/canvasinterface.cpp: Add a few comments.

2008-02-17 20:42  dooglus

	* [r1739] src/gtkmm/duckmatic.cpp: "Select All Ducks" only selects
	  ducks which are "group selectable" but it used to leave other
	  ducks selected if they were already selected. Now it doesn't.

2008-02-17 20:42  dooglus

	* [r1738] images/encapsulate_icon.sif: Mirrored encapsulate icon
	  left-right. Thanks genete.

2008-02-17 16:46  dooglus

	* [r1737] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/toolbox.cpp: Link to a few wiki pages directly from the
	  Help menu.

2008-02-17 15:29  dooglus

	* [r1736] src/gtkmm/duckmatic.cpp: Fix 1895440: Converted vertex
	  sometimes can't be converted back.

2008-02-17 15:29  dooglus

	* [r1735] src/gtkmm/duckmatic.cpp: Fix 1895378: Converted Bline
	  Vertex not marked with red square.

2008-02-17 13:01  dooglus

	* [r1734] src/gtkmm/cellrenderer_value.cpp: Don't show the keyboard
	  shortcut underscores in the Params panel's value column.

2008-02-17 12:18  dooglus

	* [r1732] src/gtkmm/widget_defaults.cpp: Fix capitalization and
	  allow keyboard shortcuts to select default interpolation method.

2008-02-17 12:13  dooglus

	* [r1731] src/gtkmm/toolbox.cpp: Fix capitalization.

2008-02-17 12:12  dooglus

	* [r1730] src/gtkmm/toolbox.cpp: Add an icon to show the Setup
	  dialog.

2008-02-17 11:46  dooglus

	* [r1729] src/gtkmm/toolbox.cpp: Fix the "toolbox > file > save
	  all" menu entry.

2008-02-17 11:46  dooglus

	* [r1728] src/gtkmm/toolbox.cpp: Add 'help' icon to the toolbox.

2008-02-17 11:46  dooglus

	* [r1727] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h: Add an
	  option "Browser Command" to allow the user to specify which web
	  browser to use to view the help.

2008-02-17 11:46  dooglus

	* [r1726] src/gtkmm/app.cpp, src/gtkmm/app.h: Basic support for
	  opening URLs. Not tested on Windows yet. Uses glib's
	  g_spawn_async() rather than glibmm's spawn_async() because it
	  allows us to pass NULL for the environmrnt and inherit the
	  parent's environment.

2008-02-17 09:06  dooglus

	* [r1724] src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h, src/gtkmm/childrentree.cpp,
	  src/gtkmm/childrentree.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Remove the unused
	  'side' parameter from a bunch more signals and methods.

2008-02-17 05:46  pabs

	* [r1723] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/toolbox.cpp: For the help menu item, show an
	  information dialog with a link to the documentation page on the
	  website.

2008-02-17 01:21  dooglus

	* [r1722] src/gtkmm/layertree.h: Oops. The last commit contained a
	  typo, breaking the build. This fixes it.

2008-02-17 01:08  dooglus

	* [r1721] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h:
	  Uncommented the code that puts a timetrack column in the params
	  dialog. To get rid of it again either comment out the "#define
	  TIMETRACK_IN_PARAMS_PANEL" in gtkmm/layertree.h or "export
	  SYNFIG_DISABLE_PARAMS_PANEL_TIMETRACK=1" at runtime.

2008-02-16 23:07  dooglus

	* [r1720] src/gtkmm/duckmatic.cpp: Fixed the display of the
	  tangents and the dotted bezier curve when bline vertices are
	  converted to 'reverse tangent'.

2008-02-16 23:06  dooglus

	* [r1719] src/gtkmm/duckmatic.cpp: Tidied up and reformatted a bit.
	  No real changes.

2008-02-16 18:59  dooglus

	* [r1718] src/gtkmm/duckmatic.cpp: Fix 1894998: Converting the
	  first vertex of a looped bline was causing a crash. Thanks to
	  Konstantin Dmitriev for the bug report.

2008-02-16 14:16  dooglus

	* [r1717] src/gtkmm/childrentree.cpp: Get the waypoints in the
	  Children panel's timetrack to respond to mouse events.

2008-02-16 14:16  dooglus

	* [r1716] src/gtkmm/dock_timetrack.cpp: Reformatted a little.

2008-02-16 11:18  dooglus

	* [r1715] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/dock_timetrack.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Now that it
	  doesn't matter which half of a waypoint you click on, we don't
	  need to be passing the 'side' information around.

2008-02-16 11:17  dooglus

	* [r1714] src/gtkmm/canvasview.cpp: Reorder the waypoint menus.

2008-02-16 11:17  dooglus

	* [r1713] src/gtkmm/canvasview.cpp: Rename the menu entry for
	  editing a waypoint back to "Edit" now that the 'E' shortcut is
	  free again. "Properties" isn't even a verb.

2008-02-16 11:17  dooglus

	* [r1712] src/gtkmm/canvasview.cpp: Tidy up the waypoint menu,
	  while adding functionality. Now there are 3 sub-menus, for
	  setting just the 'In' interpolation, just the 'Out', or 'Both'.
	  Each has 4 entries for the 4 types of interpolation. This has the
	  benefit of making the keyboard shortcuts easy to remember. To set
	  the 'In' interpolation to Constant, type "IC", and so on.

2008-02-16 04:56  dooglus

	* [r1711] src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h: Fix 1894723: export the
	  Index parameter of all Duplicate layers when copy/pasting or
	  duplicating existing Duplicate layers, even if they are nested
	  inside encapsulation layers.

2008-02-16 04:55  dooglus

	* [r1706] src/gtkmm/duckmatic.cpp: Prevent a warning from g++ 4.3.

2008-02-15 22:20  dooglus

	* [r1704] src/gtkmm/layeractionmanager.cpp: Include tooltip on the
	  'show all child layers' toolbar button.

2008-02-15 22:20  dooglus

	* [r1703] images/Makefile.am,
	  images/select_all_child_layers_icon.sif,
	  src/gtkmm/iconcontroller.cpp, src/gtkmm/layeractionmanager.cpp:
	  Add a 'show all child layers' button to the layer dialog when a
	  single pastecanvas layer is selected. Please, someone, contribute
	  an icon for this to the patch tracker.

2008-02-15 17:50  dooglus

	* [r1702] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Comment
	  out a few unused functions.

2008-02-15 16:14  dooglus

	* [r1701] images/encapsulate_icon.sif: Apply 1894520: A better
	  encapsulate icon from genete.

2008-02-15 14:39  dooglus

	* [r1700] images/Makefile.am, images/encapsulate_icon.sif,
	  src/gtkmm/dock_layers.cpp, src/gtkmm/iconcontroller.cpp,
	  src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Add an
	  "encapsulate" button to the layer dialog. Can someone design a
	  better icon for it please?

2008-02-15 13:55  dooglus

	* [r1698] src/gtkmm/duckmatic.cpp: If a layer has the "width" hint
	  set, but has no "width" parameter, scale the width ducks by 0.5.

2008-02-15 13:55  dooglus

	* [r1696] src/gtkmm/duckmatic.cpp: Show width ducks for exported
	  blines.

2008-02-13 11:53  dooglus

	* [r1689] src/gtkmm/state_draw.cpp: In the draw tool, if the user
	  draws a very quick stroke (such that 6 or less points are
	  collected) the stroke isn't used. Previously, the stroke was left
	  as a thin line in the workarea until a longer stroke was
	  completed successfully. This was probably a bug rather than a
	  feature, but could possible have been intended, as a strange and
	  temporary alternative to the sketch tool. This change clears each
	  stroke whether it is long enough to be used or not. To restore
	  the previous behaviour, set environment variable
	  SYNFIG_KEEP_ABORTED_DRAW_LINES.

2008-02-13 11:52  dooglus

	* [r1688] src/synfigapp/blineconvert.cpp,
	  src/synfigapp/blineconvert.h: Tidying.

2008-02-13 11:52  dooglus

	* [r1687] src/gtkmm/state_draw.cpp: Tidying.

2008-02-13 01:58  dooglus

	* [r1686] src/synfigapp/blineconvert.cpp,
	  src/synfigapp/blineconvert.h: Tidying. Trying to understand the
	  code, and tidying it up a little as I do so. No real changes yet.

2008-02-13 01:58  dooglus

	* [r1685] src/gtkmm/widget_waypoint.cpp: Replace #warnings with
	  doxygen \\!todo.

2008-02-13 01:57  dooglus

	* [r1684] src/synfigapp/blineconvert.cpp,
	  src/synfigapp/blineconvert.h: Write "operator()" instead of
	  "operator ()", "operator&" instead of "operator &", etc., to make
	  them easier to search for. Previously both forms were used.

2008-02-13 01:57  dooglus

	* [r1683] NEWS: Typo.

2008-02-12 09:44  dooglus

	* [r1682] src/gtkmm/state_draw.cpp: Leave previously selected
	  layers selected when drawing new lines - their ducks are useful
	  for attaching new lines onto.

2008-02-12 07:29  dooglus

	* [r1681] src/gtkmm/workarea.cpp: Clicking a grey (not editable)
	  duck which didn't lie over the layer it was connected to was
	  causing the layer to be unselected. For example, the outside-half
	  of a circle's radius duck, or a tangent duck on a thin outline.
	  This patch from Gerald Young <supersayoyin@hotmail.com> fixes it.

2008-02-12 01:52  pabs

	* [r1680] src/gtkmm/about.cpp: Gerald Young (Yoyobuae) contributed
	  r1677, add him to the about dialog.

2008-02-11 23:12  dooglus

	* [r1679] src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/state_bline.cpp: SVN r1677
	  partially broke the bline tool by making non-editable ducks
	  selectable. The bline tool uses a non-editable duck under the
	  mouse cursor to cause the dotted bline to be displayed as the
	  mouse is moved. Added a new boolean to the Duck class "ignore_"
	  for whether to ignore a duck when checking for user interaction,
	  and set that boolean for this duck created by the bline tool.

2008-02-11 21:54  dooglus

	* [r1678] src/gtkmm/duck.cpp: Fix 1891491: Only show bline vertices
	  large when the mouse is really hovering over them.

2008-02-11 21:18  dooglus

	* [r1677] AUTHORS, src/gtkmm/duckmatic.cpp: Fix 1891410: Have
	  neither Control-A nor dragging a box around ducks select
	  non-editable ducks, and have clicking individual ducks select
	  them (with or without Control being held). Patch from Gerald
	  Young <supersayoyin@hotmail.com>.

2008-02-11 20:22  dooglus

	* [r1676] src/gtkmm/state_bline.cpp: Fix 1891391: Inserting a
	  vertex in the closing link of a looped bline while still in the
	  bline tool was putting the new vertex in the wrong place.

2008-02-11 19:45  dooglus

	* [r1674] src/gtkmm/cellrenderer_timetrack.cpp: Use the
	  signal_waypoint_clicked_cellrenderer() accessor rather than the
	  signal_waypoint_clicked_cellrenderer_ member.

2008-02-11 19:45  dooglus

	* [r1673] src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h: Get rid of
	  CellRenderer_TimeTrack::show_timepoint_menu(). It was only called
	  in one place, and didn't do anything other than invoke
	  signal_waypoint_clicked_cellrenderer_(). Invoke the signal
	  directly instead.

2008-02-11 18:51  dooglus

	* [r1672] src/gtkmm/mod_mirror/state_mirror.cpp: Fix 1891359: Don't
	  mirror radius ducks.

2008-02-11 18:36  dooglus

	* [r1671] src/gtkmm/mod_mirror/state_mirror.cpp: Tidying.

2008-02-11 13:18  dooglus

	* [r1670] build_tools/autorevision.sh: Use the .git/ directory not
	  the .git/svn/ directory to check whether to update the
	  autorevision.h header. I may be working in a clone of the
	  repository I run git-svn in, or maybe I've made local commits but
	  not run git-svn since, so need the 'M' flag adding to the header.

2008-02-10 20:54  dooglus

	* [r1659] NEWS: Give full URLs to the bug reports, not just the bug
	  numbers.

2008-02-10 20:38  dooglus

	* [r1658] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/toolbox.cpp: Have caret>file>open
	  start off by listing the current workarea's directory, if it has
	  one.

2008-02-10 20:01  dooglus

	* [r1657] NEWS: Update NEWS files with most of the changes since
	  the last release.

2008-02-10 15:41  dooglus

	* [r1655] src/gtkmm/renddesc.cpp: When 'use current frame' is
	  checked in the render dialog, the Time tab is supposed to be
	  insensitive. This was broken way back in r224.

2008-02-10 15:41  dooglus

	* [r1654] src/gtkmm/render.cpp: Since we are defaulting to NOT
	  rendering the current frame, we shouldn't start off with the time
	  frame disabled.

2008-02-10 13:58  dooglus

	* [r1653] src/gtkmm/widget_timeslider.cpp: Improve the algorithm
	  for determining the number of tick marks to put between pairs of
	  labels in the timeslider widgets. It's better to divide 5 minutes
	  into 5 tics of 1 minute each than 6 ticks of 50 seconds each, for
	  example.

2008-02-10 13:57  dooglus

	* [r1652] src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h: Improve the behaviour of
	  horizontal-scrolling on the time slider. Scroll by one 'tick',
	  stop at either end, better control of the time cursor position,
	  leave the zoom alone.

2008-02-10 09:14  dooglus

	* [r1649] src/gtkmm/dock_layers.cpp: Fix 1863126: Allow accents in
	  the layer category name translations.

2008-02-09 20:56  dooglus

	* [r1644] src/gtkmm/duckmatic.cpp: Give slight priority to radius
	  ducks. That way, it's possible to select the radius duck for a
	  circle with radius zero. Previously the position duck would
	  usually be selected instead.

2008-02-09 19:12  dooglus

	* [r1643] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/autorecover.cpp, src/gtkmm/autorecover.h,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/cellrenderer_time.cpp,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/childrentree.cpp,
	  src/gtkmm/childrentree.h, src/gtkmm/compview.cpp,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_layers.cpp, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/duck.cpp, src/gtkmm/duck.h, src/gtkmm/duckmatic.cpp,
	  src/gtkmm/duckmatic.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroller.cpp,
	  src/gtkmm/instance.cpp, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetreestore.cpp, src/gtkmm/keyframetreestore.h,
	  src/gtkmm/layeractionmanager.cpp, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/main.cpp, src/gtkmm/metadatatreestore.cpp,
	  src/gtkmm/render.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_circle.cpp, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_time.cpp, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_waypoint.cpp, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/synfigapp/action.cpp,
	  src/synfigapp/action.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/instance.cpp,
	  src/synfigapp/value_desc.h: Added copyright lines for files I've
	  edited this year.

2008-02-09 18:25  dooglus

	* [r1642] src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/asyncrenderer.cpp, src/gtkmm/asyncrenderer.h,
	  src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/dialog_setup.h, src/gtkmm/dialogsettings.cpp,
	  src/gtkmm/dock_children.cpp, src/gtkmm/dockbook.cpp,
	  src/gtkmm/duck.cpp, src/gtkmm/duck.h, src/gtkmm/general.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/state_normal.cpp, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/workarea.cpp, src/synfigapp/action_param.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/canvasinterface.h,
	  src/synfigapp/general.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h: Added my "Copyright (c) 2007"
	  notices, for files I edited in 2007.

2008-02-09 17:25  dooglus

	* [r1641] src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/state_circle.cpp: Show
	  the size of circles as they are drawn using the draw tool.

2008-02-09 16:02  dooglus

	* [r1640] src/gtkmm/state_circle.cpp: Take the 'restrict radius
	  ducks' setting into account in the circle tool.

2008-02-09 15:25  dooglus

	* [r1639] po/es.po: Apply 1890089: revised and updated Spanish
	  translation for core and studio from genete.

2008-02-09 15:25  dooglus

	* [r1638] src/gtkmm/app.cpp: Default to *not* restricting real
	  ducks to the top right quadrant.

2008-02-09 07:23  pabs

	* [r1637] configure.ac: The previous commit caused CXXFLAGS to be
	  polluted for tests after the one for
	  Gtk::AboutDialog::set_program_name, save CXXFLAGS before the test
	  and restore it afterwards.

2008-02-09 07:14  pabs

	* [r1636] configure.ac, src/gtkmm/about.cpp: Check if
	  Gtk::AboutDialog::set_program_name is available and only use it
	  if it is. This fixes an FTBFS when using GTK+ 2.12 with GTKmm
	  2.10 reported by Aurore D.

2008-02-09 00:34  dooglus

	* [r1634] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/renderer_ducks.cpp: Added a gui checkbox rather than
	  using a #define to switch the quadrant limiting of real ducks on
	  and off.

2008-02-09 00:01  dooglus

	* [r1633] src/gtkmm/duckmatic.h: Added comment for the
	  'RESTRICT_RADIUS_DUCKS_TO_ONE_QUARTER' #define.

2008-02-09 00:01  dooglus

	* [r1632] src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/renderer_ducks.cpp: Restrict 'radius' ducks to the top
	  right corner of the plane. This allows us to easily set their
	  value to zero by dragging down and left. Thanks to Zelgadis on
	  IRC for the suggestion.

2008-02-09 00:00  dooglus

	* [r1631] src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/workarea.cpp: Always draw 'real' ducks on the right
	  hand side of the circle they define. Previously, canvases with a
	  negative horizontal pixel width were drawing it on the left.

2008-02-08 17:07  dooglus

	* [r1629] src/gtkmm/cellrenderer_timetrack.cpp: Found three other
	  places where canvas waypoints were being treated specially, and
	  made them conditional on the new environment variable as well.

2008-02-08 16:34  dooglus

	* [r1628] src/gtkmm/cellrenderer_timetrack.cpp: Experimental:
	  "export SYNFIG_SHOW_CANVAS_PARAM_WAYPOINTS=1" to see canvas
	  parameter waypoints, not canvas content waypoints in PasteCanvas
	  layers. Doesn't work too well - dragging the waypoints doesn't
	  work, for instance.

2008-02-08 14:04  dooglus

	* [r1627] src/gtkmm/app.cpp: Prevent a warning: 'file_type_enum'
	  may be used uninitialized in this function.

2008-02-08 14:03  dooglus

	* [r1626] src/gtkmm/app.cpp, src/gtkmm/instance.cpp: Add
	  information about which valuenode types were added in which
	  release. Don't save new types in old format files.

2008-02-08 09:48  dooglus

	* [r1625] src/gtkmm/app.cpp: Clarify the 'file format version' menu
	  in the save dialog.

2008-02-08 09:36  dooglus

	* [r1624] src/gtkmm/app.cpp: Allow saving .sif files in a format
	  that can be read by versions 0.61.07 and older.

2008-02-07 23:34  dooglus

	* [r1623] src/gtkmm/canvasproperties.cpp: Don't allow the user to
	  set the 'ID' of exported canvases to be empty.

2008-02-07 22:17  dooglus

	* [r1621] src/gtkmm/duckmatic.cpp: Don't let 'select all' select
	  the green ducks of a plant layer.

2008-02-07 14:40  dooglus

	* [r1619] src/gtkmm/autorecover.cpp: Make the auto-backup process
	  quieter. We don't need to hear about every backup that's done.

2008-02-07 11:46  dooglus

	* [r1618] src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h: Add
	  a setting in the gui for the auto-backup interval.

2008-02-07 09:46  dooglus

	* [r1616] src/gtkmm/app.cpp: Attempting to open a file that is
	  already open should just succeed quietly. It used to pop up an
	  error dialog and get the user to click 'OK'. This was
	  particularly annoying when the file was specified on the command
	  line that started studio, and was only already open because it
	  had just been recovered from a previous crash.

2008-02-07 09:32  dooglus

	* [r1615] src/gtkmm/app.cpp: Don't automatically create a new
	  document if we successfully recover any old documents.

2008-02-07 09:32  dooglus

	* [r1614] src/gtkmm/autorecover.cpp, src/gtkmm/autorecover.h: Count
	  the number of files we were able to successfully recover.

2008-02-06 23:45  dooglus

	* [r1613] src/gtkmm/canvasview.cpp: Set minimum and maximum zoom
	  levels for the timescroller.

2008-02-06 23:44  dooglus

	* [r1612] src/gtkmm/dialogsettings.cpp: Remember the position and
	  size of the color and gradient dialogs even if they're not
	  displayed when studio exits.

2008-02-06 23:44  dooglus

	* [r1611] src/gtkmm/dockmanager.cpp: My panels were drifting one or
	  two pixels each time I started studio. This seems to be
	  window-manager dependent. I've added environment variables to
	  allow adjusting the drift to stop it.
	  SYNFIG_WINDOW_POSITION_X_OFFSET and
	  SYNFIG_WINDOW_POSITION_Y_OFFSET. Setting them both to 1 stops the
	  drift for me in xfwm4.

2008-02-06 18:02  dooglus

	* [r1610] src/gtkmm/widget_timeslider.cpp: Subdivide the space
	  between labels on the timeslider sensibly. Don't divide a 5
	  second gap into 4 parts of 1.25 seconds each, for instance.

2008-02-06 17:43  dooglus

	* [r1609] src/gtkmm/widget_timeslider.cpp: Improve the range of
	  different scales used on the timeslider. Previously 3 fps
	  animations were having the timeslider labelled "0.75f, 1.5f, ..."
	  rather than "1f, 2f, ...".

2008-02-06 17:41  dooglus

	* [r1608] src/gtkmm/canvasview.cpp: Make sure the time entry box
	  shows the correct time - rounded to an integer number of frames.

2008-02-06 12:17  pabs

	* [r1607] po/POTFILES.in, src/gtkmm/Makefile.am: Don't ask
	  translators to translate compview.cpp since it isn't compiled.
	  Fix typo that was preventing it from being distributed.

2008-02-06 11:52  dooglus

	* [r1605] src/gtkmm/widget_time.cpp: Don't expand time fields to
	  their full format (eg. "1s" -> "0h 0m 1s 0f") when they get
	  keyboard focus. export SYNFIG_SHOW_FULL_TIME_ON_FOCUS=1 will
	  restore the old behaviour.

2008-02-06 11:20  pabs

	* [r1604] src/gtkmm/Makefile.am: Don't forget to distribute the
	  other general.h too

2008-02-06 11:12  dooglus

	* [r1603] src/gtkmm/widget_time.cpp, src/gtkmm/workarea.cpp: Fix
	  1685851: Allow manual editing of the current time in the workarea
	  window.

2008-02-06 10:07  pabs

	* [r1602] src/synfigapp/Makefile.am: Don't forget to distribute
	  general.h or the released version will not be buildable.

2008-02-06 09:36  dooglus

	* [r1601] src/gtkmm/Makefile.am: Remove trailing slash.

2008-02-06 09:11  pabs

	* [r1600] Makefile.am, build_tools, build_tools/Makefile.am,
	  build_tools/autorevision.sh, configure.ac, src/gtkmm/about.cpp:
	  Fix 1797745: show the correct SVN revision id in the about dialog
	  * Run a script each time we build to see if we have updated
	  * The script currently supports svn and git-svn
	  * The about dialog will only be rebuilt if you update
	  * No need to rerun configure after updating

2008-02-06 01:36  dooglus

	* [r1599] src/gtkmm/widget_waypoint.cpp: Attach the "(Non-static
	  value)" label into the waypoint dialog.

2008-02-06 01:35  dooglus

	* [r1598] src/gtkmm/widget_waypoint.cpp: Fix a crash when editing a
	  waypoint with a non-static value.

2008-02-05 11:40  dooglus

	* [r1593] src/gtkmm/dock_timetrack.cpp: Don't fail if we can't find
	  the row in the param panel for the waypoint - it probably just
	  means the valuenode isn't in this param panel because it's in a
	  different canvas.

2008-02-05 11:40  dooglus

	* [r1592] src/gtkmm/canvasview.cpp: Only show the 'Properties'
	  (edit waypoint) menu if the value_desc we have is valid (ie. not
	  for canvas waypoints).

2008-02-05 11:40  dooglus

	* [r1591] src/synfigapp/value_desc.cpp: Removed spurious space.

2008-02-05 11:40  dooglus

	* [r1589] src/synfigapp/value_desc.h: Clarification.

2008-02-05 11:40  dooglus

	* [r1588] src/synfigapp/value_desc.cpp: Improved
	  ValueDesc::get_description().

2008-02-05 11:39  dooglus

	* [r1587] src/synfigapp/value_desc.h: Answer and remove a 'todo'
	  comment.

2008-02-04 23:35  dooglus

	* [r1584] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h, src/gtkmm/childrentree.cpp,
	  src/gtkmm/childrentree.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/instance.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h: Improve the waypoint context menus. Now
	  it's possible to delete and duplicate complete trees of waypoints
	  at once. The 'change interp' functionality has been extended too,
	  so now it's possible to set the interpolation type for the whole
	  waypoint from the context menu as well as just the side that was
	  clicked on, and it's possible for single waypoints as well.

2008-02-04 23:35  dooglus

	* [r1583] src/synfigapp/canvasinterface.h: Header changes for that
	  last commit - oops!

2008-02-04 23:35  dooglus

	* [r1582] src/synfigapp/canvasinterface.cpp: Couple of new
	  functions to duplicate and delete a waypoint without having a
	  ValueDesc.

2008-02-04 18:40  dooglus

	* [r1577] src/gtkmm/state_bline.cpp: When the bline tool is
	  creating new layers, arrange the new layers in the order: Outline
	  - Region - Plant - Gradient, so that each layer is at least
	  somewhat visible. Rename the "*layer_bline*" variables to
	  "*layer_outline*" since they represent outlines specifically.

2008-02-04 18:40  dooglus

	* [r1576] src/gtkmm/state_bline.cpp: Now that the plant layer has
	  an 'offset' parameter, allow the bline tool to link to it when
	  creating multiple layers at once.

2008-02-04 18:40  dooglus

	* [r1574] src/gtkmm/state_bline.cpp: Allow the bline tool to draw
	  plants as well as outlines, regions, and curvegradients.

2008-02-03 23:59  dooglus

	* [r1572] src/gtkmm/instance.cpp: When doing a 'Save As', default
	  to saving in the same directory that the file was loaded from, if
	  any.

2008-02-03 20:54  dooglus

	* [r1569] src/gtkmm/canvasview.cpp: Change the default quality to
	  8. It makes shade layers render better without much impact on
	  speed.

2008-02-03 20:20  dooglus

	* [r1567] src/synfigapp/actions/valuedesclink.cpp: Attempting to
	  link a duck from the Children panel with other ducks was causing
	  an error. Now it isn't.

2008-02-03 18:58  dooglus

	* [r1565] src/synfigapp/actions/valuedesclink.cpp: When linking
	  simple values, use the value from the topmost layer.

2008-02-03 18:58  dooglus

	* [r1564] src/synfigapp/actions/valuedesclink.cpp: Show the URL of
	  the section describing the decision that was just made about
	  which ValueNode's value to use when linking.

2008-02-03 01:38  pabs

	* [r1558] macosxbuild.sh, studio.kdevprj, win32build.sh: Get rid of
	  all references to the bootstrap script since it was removed

2008-02-02 19:46  dooglus

	* [r1555] src/gtkmm/keyframetree.cpp: Prevent a warning from the
	  keyframe panel on startup. The 'Jump' column still complains if
	  we try to sort using it though.

2008-02-01 22:54  dooglus

	* [r1554] src/gtkmm/main.cpp: Show a very simple message in the
	  console on start-up so as not to scare people when they see an
	  empty terminal window 'doing nothing'.

2008-02-01 22:54  dooglus

	* [r1553] src/gtkmm/layeractionmanager.cpp,
	  src/synfigapp/canvasinterface.cpp: Disable the 'DEPTH=' display.

2008-02-01 22:54  dooglus

	* [r1552] src/synfigapp/actions/layermove.cpp: Comment out a bunch
	  of old debugging code.

2008-02-01 22:54  dooglus

	* [r1551] src/gtkmm/state_normal.cpp: Disabled the "Left Normal
	  State" message.

2008-02-01 22:54  dooglus

	* [r1550] src/gtkmm/dock_layers.cpp: Fix an error on startup that
	  said: "error: canvasview.cpp:445 canvas_view.layer_tree not
	  defined!?" by making the layer tree before attempting to look up
	  the selected layers in it.

2008-02-01 22:53  dooglus

	* [r1549] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h:
	  Commented out a bunch of unused code. I don't know if was old and
	  no longer needed, or new and never finished, but it wasn't used.
	  It looks like it was to make a single-window interface - having
	  the layer, children and keyframe panels attached to the main
	  workarea.

2008-02-01 22:53  dooglus

	* [r1548] src/gtkmm/canvasview.cpp,
	  src/gtkmm/cellrenderer_time.cpp,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/keyframetree.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/layergrouptree.cpp, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertreestore.cpp, src/gtkmm/metadatatreestore.cpp,
	  src/synfigapp/canvasinterface.cpp, src/synfigapp/instance.cpp:
	  Don't show log messages from each panel's destructor unless
	  environment variable SYNFIG_DEBUG_DESTRUCTORS is set.

2008-02-01 16:03  dooglus

	* [r1547] src/gtkmm/app.cpp, src/gtkmm/toolbox.cpp: With the
	  re-enabling of 'Alpha Brighten', the toolbox has become a little
	  wider. Some foreign translations of the blend method could also
	  push it wider. And since we have 15 tool icons by default, I've
	  made the toolbox 5 icons wide instead of 4, and rearranged them
	  slightly. The top row is now all for "moving ducks", the middle
	  row for "drawing stuff", and the bottom row is more drawing on
	  the left and looking at stuff (eyedrop, zoom) on the right.

2008-02-01 15:21  dooglus

	* [r1546] src/synfigapp/canvasinterface.cpp: Fix 1868911: exported
	  canvases weren't being deleted, due to a handle never being
	  released.

2008-02-01 13:22  pabs

	* [r1545] README, images/Makefile.am, images/Makefile.inc,
	  images/splash_screen.sif, po/POTFILES.in, po/es.po, po/fr.po,
	  src/gtkmm/Makefile.am, src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/splash.cpp,
	  src/gtkmm/splash.h, studio.kdevprj,
	  studio.pbproj/project.pbxproj, studio.prj: Fix 1678554 and
	  implement 1741220: change the about dialog to a splash screen and
	  implement a new about dialog based on Gtk::AboutDialog. Still
	  need to connect it up to configure.ac though.

2008-02-01 12:48  pabs

	* [r1544] images/about_dialog.sif, images/splash_screen.sif,
	  src/gtkmm/about.cpp, src/gtkmm/about.h, src/gtkmm/splash.cpp,
	  src/gtkmm/splash.h: Rename the about dialog header,
	  implementation and image to splash screen equivalents. New about
	  dialog implementation will follow.

2008-02-01 09:37  pabs

	* [r1543] src/template.cpp: The template file for studio should use
	  the studio namespace instead of the synfig one.

2008-01-31 17:09  dooglus

	* [r1539] src/gtkmm/workarea.cpp: Partially revert the previous
	  commit. Messing with the canvas size causes the display to be
	  cleared between refreshes.

2008-01-31 15:04  dooglus

	* [r1538] AUTHORS: Add AkhIL to the contributors.

2008-01-31 15:03  dooglus

	* [r1537] src/gtkmm/workarea.cpp: Ensure that the size we draw is a
	  whole number of pixels in each dimension, and prevent zooming out
	  too far from creating canvases so small they contain no pixels at
	  all.

2008-01-31 14:13  dooglus

	* [r1536] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h: Add menu entries and shortcuts to
	  increase and decrease the pixel size : control-'(' and
	  control-')'.

2008-01-31 14:13  dooglus

	* [r1535] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h: Create the pixel-size menus dynamically.

2008-01-31 14:12  dooglus

	* [r1534] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Change the tile
	  size from 128 to 120 and allow all the factors of 120 to be used
	  as the pixel size for low-resolution editing.

2008-01-31 14:12  dooglus

	* [r1533] src/gtkmm/workarea.cpp: Improve the logic for when to use
	  the tile renderer. At lower resolutions we can hold off using it
	  longer.

2008-01-31 14:12  dooglus

	* [r1532] src/gtkmm/canvasview.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/workarea.cpp: Tidying.

2008-01-31 14:12  dooglus

	* [r1531] src/gtkmm/workarea.cpp: And another two that are
	  commented at the moment. But it's best to fix those as well in
	  case they're uncommented sometime.

2008-01-31 14:11  dooglus

	* [r1530] src/gtkmm/workarea.cpp: There are 3 more places in the
	  code where the low-res pixel size needs to be used.

2008-01-31 14:11  dooglus

	* [r1529] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Applied patch from
	  IL'dar AKHmetgaleev aka AkhIL to allow different qualities of
	  low-resolution rendering.

2008-01-29 23:01  dooglus

	* [r1525] src/gtkmm/app.cpp: OK, let's use alt-o (o is for onion)
	  instead of control-k to toggle onion skin.

2008-01-29 22:54  dooglus

	* [r1524] src/gtkmm/app.cpp: Change the default 'toggle onion skin'
	  keyboard shortcut from control-o (which is the stock binding for
	  'open') to control-k.

2008-01-29 10:57  dooglus

	* [r1523] src/gtkmm/app.cpp: If environment variable
	  SYNFIG_DISABLE_AUTOMATIC_DOCUMENT_CREATION is set, don't create a
	  blank document on startup, even if no documents were specified on
	  the command line. I'll add proper configuration items within the
	  gui for this and other recent changes soon.

2008-01-29 10:57  dooglus

	* [r1522] src/gtkmm/layertree.cpp: Allow the layer panel to be
	  sorted by layer name. Resize the layer name column to fit the
	  layer names. Rename the "Layer" column to "Name".

2008-01-29 10:56  dooglus

	* [r1521] src/gtkmm/childrentree.cpp, src/gtkmm/compview.cpp,
	  src/gtkmm/dock_history.cpp, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layertree.cpp: Use set_sort_column() instead of the
	  deprecated set_sort_column_id().

2008-01-29 08:41  dooglus

	* [r1520] src/gtkmm/app.cpp: If no documents are specified to be
	  loaded on the command line at start-up, create a new empty
	  document to the novice user can get started straight away.
	  http://synfig.org/Wish_list#Improved_User_Experience_for_First_Contact

2008-01-29 08:31  dooglus

	* [r1519] src/gtkmm/app.cpp: Default 'end time' for new canvases to
	  5s instead of 0. That's one less thing a new user then needs to
	  edit to start making his first animation. Also, don't show the
	  intimidating canvas properties dialog when a new composition is
	  created, just use the defaults. Set environment variable
	  "SYNFIG_ENABLE_NEW_CANVAS_EDIT_PROPERTIES" to revert this change
	  locally. See
	  http://synfig.org/Wish_list#Improved_User_Experience_for_First_Contact
	  .

2008-01-29 06:23  dooglus

	* [r1518] src/gtkmm/keyframetree.cpp: r1505 accidentally changed
	  the behavior of the (JMP) links in the keyframe panel to require
	  a double click. This changes it back.

2008-01-28 15:23  dooglus

	* [r1517] src/gtkmm/duck.h, src/gtkmm/duckmatic.h: g++ 4.2 didn't
	  like my last change.

2008-01-28 14:23  dooglus

	* [r1516] configure.ac, src/gtkmm/duck.h, src/gtkmm/duckmatic.h:
	  Revision 1494 introduced a bug in the bline tool. Dragging a
	  tangent while drawing would only show one tangent duck, not two.
	  This was caused by the hash<T> class no hashing the characters
	  pointed to by a char*, but hashing the pointer itself now. See
	  the first mention of 'char*' in
	  http://www.open-std.org/jtc1/sc22/wg21/docs/papers/2003/n1456.html
	  .

2008-01-27 12:16  dooglus

	* [r1511] src/gtkmm/cellrenderer_value.cpp,
	  src/gtkmm/childrentreestore.cpp: Prevent more 'unused parameter'
	  warnings - compiling without debug enabled disables the assert()
	  checks which leads to more parameters being unused.

2008-01-27 12:12  dooglus

	* [r1510] src/gtkmm/canvasview.cpp: Prevent all remaining 'unused
	  parameter' warnings when compiling with debug enabled.

2008-01-27 11:54  dooglus

	* [r1509] configure.ac: The same as r1506 but for studio as well.
	  r1506 only addressed the problem for core.

2008-01-27 11:45  dooglus

	* [r1508] src/gtkmm/cellrenderer_value.cpp: Fix a warning about
	  returning a reference to a temporary by introducing a memory leak
	  instead! I don't think the code should ever be used though, and
	  have added a warning to indicate if it is.

2008-01-27 11:31  dooglus

	* [r1507] m4/subs.m4: Don't use the '-Wno-unused-parameter' flag by
	  default.

2008-01-27 10:13  dooglus

	* [r1505] src/gtkmm/keyframetree.cpp: Make the keyframe panel's
	  description column sortable.

2008-01-27 10:13  dooglus

	* [r1504] src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h: Add a
	  KeyframeTreeStore::description_sorter() to go with the
	  time_sorter().

2008-01-26 12:37  dooglus

	* [r1503] src/gtkmm/keyframetreestore.cpp: Prevent a warning saying
	  "not enough variable arguments to fit a sentinel". But why was
	  this KeyframeTreeStore_Class class being used at all? Looks like
	  some unfinished work here. I've commented it out - does that
	  affect anything?

2008-01-26 11:51  dooglus

	* [r1502] src/gtkmm/workarea.cpp: Fix the error about being unable
	  to parse the grid_size metadata. It was previously only
	  complaining if the grid_size wasn't specified, or was specified
	  to be empty.

2008-01-26 11:46  dooglus

	* [r1501] src/gtkmm/instance.cpp: Don't warn "Action CandidateList
	  is empty!" - it happens a lot, and isn't a problem.

2008-01-26 11:46  dooglus

	* [r1500] src/gtkmm/adjust_window.cpp: Disable the "Adjust:
	  connecting to child signals" message.

2008-01-26 11:44  dooglus

	* [r1499] src/gtkmm/state_normal.cpp: Disable the "Entered Normal
	  State" message.

2008-01-26 11:43  dooglus

	* [r1498] src/gtkmm/childrentreestore.cpp: Disable profiler in
	  childrentreestore.cpp.

2008-01-26 02:03  dooglus

	* [r1494] configure.ac, src/gtkmm/duck.h, src/gtkmm/duckmatic.h:
	  Avoid the "deprecated or antiquated header" warning from g++ 4.3
	  by using <tr1/unordered_map> and <tr1/unordered_set> instead of
	  <ext/hash_map> and <ext/hash_set> if they are available.

2008-01-25 18:18  dooglus

	* [r1493] src/gtkmm/canvastreestore.cpp: Avoid warnings from g++
	  4.3. Add 'todo' notes to check the grouping.

2008-01-25 18:11  dooglus

	* [r1492] src/gtkmm/layerparamtreestore.cpp: Avoid warnings from
	  g++ 4.3.

2008-01-25 18:11  dooglus

	* [r1491] src/gtkmm/keyframetreestore.cpp, src/gtkmm/render.cpp,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/widget_compselect.cpp: Avoid warnings from g++ 4.3.

2008-01-25 17:57  dooglus

	* [r1490] src/gtkmm/ipc.cpp: Fix a bug found by g++ 4.3, and add a
	  few comments.

2008-01-25 17:28  dooglus

	* [r1489] src/gtkmm/instance.cpp: Avoid warning from g++ 4.3.

2008-01-25 17:28  dooglus

	* [r1488] src/gtkmm/canvasview.cpp: Avoid warning from g++ 4.3.

2008-01-25 16:22  dooglus

	* [r1487] src/gtkmm/app.cpp: Avoid warning from g++ 4.3.

2008-01-25 16:21  dooglus

	* [r1486] src/gtkmm/renderer_canvas.cpp: Avoid warning from g++
	  4.3.

2008-01-25 16:00  dooglus

	* [r1485] src/gtkmm/canvasview.h: Avoid warnings from g++ 4.3.

2008-01-25 15:50  dooglus

	* [r1484] src/synfigapp/canvasinterface.cpp: Avoid warnings from
	  g++ 4.3.

2008-01-25 15:48  dooglus

	* [r1483] src/synfigapp/timegather.h: Avoid warnings from g++ 4.3.

2008-01-25 15:41  dooglus

	* [r1481] src/synfigapp/editmode.h: Fix a bug found by g++ 4.3, and
	  comment out the method, because it's never used anyway

2008-01-25 10:20  pabs

	* [r1460] src/gtkmm/app.cpp, src/gtkmm/dialog_gradient.h,
	  src/synfigapp/settings.cpp: Fix some FTBFS issues when compiling
	  with GCC 4.3

2008-01-24 22:27  dooglus

	* [r1459] src/gtkmm/canvasview.cpp: Fix 1694235: Add checkboxes to
	  the toggleable entries in the view menu.

2008-01-24 11:00  dooglus

	* [r1456] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/render.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/widget_filename.cpp: Remember separate default
	  directories for opening and writing each of animations, images,
	  sketches, rendered output, and "miscellaneous".

2008-01-23 20:24  dooglus

	* [r1441] src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp: Don't show timing information
	  for calls to LayerGroupTreeStore::rebuild() and
	  LayerParamTreeStore::rebuild().

2008-01-23 20:24  dooglus

	* [r1440] src/gtkmm/app.cpp: Don't show the 'delete' and 'really
	  delete' debug messages when hiding a menu.

2008-01-23 17:41  dooglus

	* [r1433] images/about_dialog.sif, images/logo.sif: A few more
	  changes to get the studio graphics to render correctly with the
	  recent fixes to the 'straight' blend method.

2008-01-23 14:44  dooglus

	* [r1429] images/about_dialog.sif, images/canvas_icon.sif,
	  images/color_icon.sif, images/duplicate_icon.sif,
	  images/installer_logo.sif, images/installer_logo_osx.sif,
	  images/keyframe_icon.sif, images/layer_icon.sif, images/logo.sif,
	  images/vector_icon.sif: Changes to make the studio/images files
	  render correctly again.

2008-01-22 12:30  dooglus

	* [r1416] src/gtkmm/state_normal.cpp: Don't show "STATE NORMAL:..."
	  every time the normal tool receives a new event.

2008-01-21 01:10  dooglus

	* [r1404] src/gtkmm/canvasview.h: Remove more debugging prints.

2008-01-21 01:10  dooglus

	* [r1403] src/gtkmm/dock_canvasspecific.cpp: Stop 3 more messages.

2008-01-21 01:09  dooglus

	* [r1402] src/gtkmm/dock_canvasspecific.cpp: Stop the
	  'canvas_view_changed' messages.

2008-01-17 18:09  dooglus

	* [r1398] src/gtkmm/dockdialog.cpp, src/gtkmm/toolbox.cpp: Rename
	  "Dialogs" to "Panels" for the dockable windows.

2008-01-16 21:50  dooglus

	* [r1386] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp: Add 'new',
	  'open' and 'quit' to the caret>file menu.

2008-01-15 14:49  dooglus

	* [r1377] src/synfigapp/actions/layerencapsulate.cpp: When
	  encapsulating layers, show which layers were encapsulated in the
	  History dialog.

2008-01-15 14:48  dooglus

	* [r1376] src/synfigapp/actions/layerduplicate.cpp: When
	  duplicating layers, show which layers were duplicated in the
	  History dialog.

2008-01-15 14:48  dooglus

	* [r1375] src/synfigapp/actions/blinepointtangentsplit.cpp: When
	  splitting a tangent, show which tangent was split in the History
	  dialog.

2008-01-15 14:48  dooglus

	* [r1374] src/synfigapp/actions/blinepointtangentmerge.cpp: When
	  merging a tangent, show which tangent was merged in the History
	  dialog.

2008-01-15 14:48  dooglus

	* [r1373] src/synfigapp/actions/layerremove.cpp: Use
	  get_layer_descriptions() to format the layer list rather than
	  including a copy of the code here.

2008-01-15 14:48  dooglus

	* [r1372] src/synfigapp/actions/layerlower.cpp: Use
	  get_layer_descriptions() to format the layer list rather than
	  including a copy of the code here.

2008-01-15 14:47  dooglus

	* [r1371] src/synfigapp/actions/layerraise.cpp: Use
	  get_layer_descriptions() to format the layer list rather than
	  including a copy of the code here.

2008-01-15 14:47  dooglus

	* [r1370] src/synfigapp/value_desc.cpp: Improved the formatting of
	  ValueDesc descriptions for use in the History dialog.

2008-01-15 14:47  dooglus

	* [r1368] src/synfigapp/action.cpp, src/synfigapp/action.h: Added a
	  couple of implementations of
	  Action::Base::get_layer_descriptions() to format lists of layer
	  descriptions for use in the History dialog.

2008-01-14 23:02  dooglus

	* [r1366] src/gtkmm/dock_history.cpp,
	  src/gtkmm/historytreestore.cpp, src/gtkmm/historytreestore.h:
	  When the user types in the History dialog, search for any text in
	  the 'name' column that matches the text. Previously it was only
	  searching for names matching at the beginning.

2008-01-14 18:30  dooglus

	* [r1364] src/synfigapp/actions/layerlower.cpp: Get the 'Lower
	  Layer' action to list the layer(s) that were lowered in the
	  History dialog.

2008-01-14 18:30  dooglus

	* [r1363] src/synfigapp/actions/layerraise.cpp: Get the 'Raise
	  Layer' action to list the layer(s) that were raised in the
	  History dialog.

2008-01-14 18:01  dooglus

	* [r1362] src/gtkmm/renderer_canvas.cpp, src/gtkmm/workarea.cpp:
	  Fix 1824437: studio occasionally renders the tiles in the wrong
	  places. This was happening when the canvas was one pixel greater
	  than an integer number of tiles wide, and low-resolution
	  rendering (the default) was enabled.

2008-01-14 18:01  dooglus

	* [r1361] src/gtkmm/workarea.cpp: Use the TILE_SIZE defined in
	  target_tile.h.

2008-01-14 00:28  dooglus

	* [r1353] src/synfigapp/actions/valuenoderename.cpp: Show the old
	  and new names of the ValueNode in the History dialog when
	  renaming it.

2008-01-14 00:28  dooglus

	* [r1352] src/synfigapp/actions/valuenoderemove.cpp: Mention the
	  exported name of the ValueNode in the History dialog when
	  unexporting it.

2008-01-14 00:06  dooglus

	* [r1351] src/synfigapp/actions/valuedescconnect.cpp: Improve the
	  History dialog's "Connect" entry.

2008-01-13 23:39  pabs

	* [r1350] AUTHORS: Add Timo Paulssen (timonator) to the
	  contributors.

2008-01-13 22:46  dooglus

	* [r1349] src/synfigapp/actions/valuedescexport.cpp: Improve the
	  History dialog's display when ValueNodes are exported.

2008-01-13 22:46  dooglus

	* [r1348] src/synfigapp/value_desc.cpp, src/synfigapp/value_desc.h:
	  Add an optional parameter to ValueDesc::get_description() to
	  suppress reporting the exported name.

2008-01-13 22:03  dooglus

	* [r1347] src/synfigapp/actions/valuedescdisconnect.cpp: Improve
	  the 'Disconnect' message in the History dialog. Patch from Timo
	  Paulssen (timonator on IRC).

2008-01-13 16:39  dooglus

	* [r1346] src/synfigapp/actions/valuedescconvert.cpp: Be more
	  explicit in the History dialog about what ValueNode is being
	  converted.

2008-01-13 16:33  dooglus

	* [r1345] src/synfigapp/actions/valuedescset.cpp: Moved the code
	  that formats the ValueDesc description into value_desc.cpp, and
	  call it there rather than having it local to this action. Other
	  actions will want to use it as well.

2008-01-13 16:33  dooglus

	* [r1344] src/synfigapp/Makefile.am, src/synfigapp/value_desc.cpp:
	  Add new file value_desc.cpp and add it to the Makefile.

2008-01-13 16:33  dooglus

	* [r1343] src/synfigapp/value_desc.h: Add new prototype
	  ValueDesc::get_description() for formatting a string description
	  of what a particular ValueDesc represents.

2008-01-13 14:35  dooglus

	* [r1341] src/synfigapp/Makefile.am: Sorted and formatted. There
	  should be no real changes.

2008-01-13 10:38  dooglus

	* [r1340] src/synfigapp/actions/valuedescset.cpp: When editing an
	  exported valuenode, show the name it is exported as in the
	  History dialog.

2008-01-13 10:37  dooglus

	* [r1339] src/synfigapp/actions/valuedescconvert.cpp: Improve the
	  entry in the History dialog made when a ValueNode is converted.

2008-01-12 17:49  dooglus

	* [r1338] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_value.cpp,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_params.cpp, src/gtkmm/iconcontroller.cpp,
	  src/gtkmm/instance.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/layergrouptreestore.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertreestore.cpp, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_normal.cpp, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_value.cpp, src/gtkmm/workarea.cpp,
	  src/synfigapp/action_system.cpp,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp: Removed a bunch more
	  DEBUGPOINT()s.

2008-01-12 17:48  dooglus

	* [r1337] src/gtkmm/groupactionmanager.cpp: Removed a DEBUGPOINT().

2008-01-12 17:06  dooglus

	* [r1335] src/gtkmm/layeractionmanager.cpp: Removed a DEBUGPOINT().

2008-01-12 17:06  dooglus

	* [r1334] src/gtkmm/widget_curves.cpp: Remove some DEBUGPOINT()s.

2008-01-12 17:06  dooglus

	* [r1333] src/synfigapp/actions/valuedescconnect.cpp: Remove some
	  debugging printf() calls I left in accidentally in r1282.

2008-01-12 00:54  dooglus

	* [r1332] src/synfigapp/actions/layersetdesc.cpp: Show a better
	  entry in the history dialog when renaming a layer.

2008-01-11 10:11  dooglus

	* [r1328] src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertreestore.cpp,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/valuedescset.cpp: Use
	  Layer::get_non_empty_description() instead of checking whether
	  the description is empty in various places.

2008-01-11 09:43  dooglus

	* [r1325] src/synfigapp/actions/layermove.cpp: Use the new
	  Layer::get_non_empty_description() method to show the description
	  (or local name if empty) of the moved layer in the history
	  dialog.

2008-01-11 03:10  dooglus

	* [r1323] src/synfigapp/actions/layeractivate.cpp: Small text
	  change.

2008-01-11 02:52  dooglus

	* [r1322] src/synfigapp/actions/layerremove.cpp: List the removed
	  layers in the history dialog when removing layers.

2008-01-11 02:51  dooglus

	* [r1321] src/synfigapp/actions/layeractivate.cpp: Show the
	  'active' and 'deactivate' messages with the layer name in quotes
	  in the history dialog.

2008-01-10 23:22  dooglus

	* [r1320] src/synfigapp/actions/layeradd.cpp: Show the layer name
	  in the history dialog when adding a new layer from the 'new
	  layer' menu.

2008-01-10 23:22  dooglus

	* [r1319] src/synfigapp/actions/valuedescset.cpp: Tidied up the
	  appearance of the action local name as it appears in the history
	  dialog.

2008-01-10 23:22  dooglus

	* [r1318] src/synfigapp/action.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/valuedescset.cpp: Made a new
	  ACTION_INIT_NO_GET_LOCAL_NAME macro for actions which want to
	  define their own (changable) local names.

2008-01-10 18:57  dooglus

	* [r1315] src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedescset.cpp: Use translated versions
	  of the type names everywhere other than in the .sif(z) files.

2008-01-10 16:08  dooglus

	* [r1314] src/gtkmm/canvastreestore.cpp: Use the translated version
	  of the type name in the parameter dialog.

2008-01-10 14:17  dooglus

	* [r1309] src/gtkmm/iconcontroller.cpp: Added the icon for type
	  Time to the code. Sorted the INIT_STOCK_ICON lines for the types.

2008-01-10 14:17  dooglus

	* [r1308] src/gtkmm/iconcontroller.cpp: Sorted the cases in
	  studio::value_icon() into the same order as the types appear in
	  value.h.

2008-01-10 14:05  pabs

	* [r1307] README: Add my copyright notice, since I seem to have
	  forgot it.

2008-01-10 14:05  pabs

	* [r1306] AUTHORS: Add a new artists section to AUTHORS and add
	  pxegeek there and move genete there

2008-01-10 13:57  pabs

	* [r1305] AUTHORS, README: Mention genete in the README and AUTHORS
	  after we added his time icon.

2008-01-10 13:44  dooglus

	* [r1303] images/Makefile.am, images/time_icon.sif: Add genete's
	  new time icon.

2008-01-10 11:54  pabs

	* [r1301] src/synfigapp/action.cpp, src/synfigapp/action.h: Fix bug
	  that prevented the translations of actions showing up in the
	  history dialog.

2008-01-10 11:30  pabs

	* [r1300] src/gtkmm/canvasview.cpp,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/compview.cpp,
	  src/gtkmm/dock_history.cpp, src/gtkmm/keyframetree.cpp: Mark some
	  more strings for translation (thanks to genete)

2008-01-09 00:40  pabs

	* [r1296] src/gtkmm/state_bline.cpp, src/gtkmm/workarea.cpp: Mark
	  some more strings for translation

2008-01-08 23:30  pabs

	* [r1295] AUTHORS, configure.ac, po/es.po: Add Español translation
	  by Carlos López González (genete)

2008-01-08 08:56  dooglus

	* [r1293] src/gtkmm/state_polygon.cpp: Fix 1866422: the polygon
	  tool was broken by r1230. This fixes it.

2008-01-08 07:07  pabs

	* [r1292] src/gtkmm/render.cpp: By default, set "Use current frame"
	  in the render dialog to off.

2008-01-08 01:22  pabs

	* [r1291] configure.ac: Use the bugs page on the website instead of
	  the tracker in the autoconf bugs argument of AC_INIT

2008-01-08 01:04  pabs

	* [r1290] NEWS, README, TODO, po/Makevars, po/fr.po,
	  src/gtkmm/app.cpp: Use synfig.org instead of synfig.com

2008-01-07 22:28  dooglus

	* [r1287] AUTHORS: Use UTF-8 encoding.

2008-01-07 21:50  dooglus

	* [r1286] src/gtkmm/layeractionmanager.cpp,
	  src/synfigapp/actions/layerduplicate.cpp: Automatically export
	  the Index parameter of new Duplicate layers when copy/pasting and
	  when duplicating an existing Duplicate layer.

2008-01-07 21:12  dooglus

	* [r1285] AUTHORS, configure.ac, po/fr.po: Added French translation
	  by Aurore D (rore).

2008-01-07 18:06  dooglus

	* [r1283] src/synfigapp/canvasinterface.cpp: Automatically export
	  the Index parameter of new Duplicate layers.

2008-01-07 17:26  dooglus

	* [r1282] src/synfigapp/actions/valuedescconnect.cpp: Don't show
	  the option of connecting to an existing Index parameter of the
	  Duplicate layer.

2008-01-07 17:18  dooglus

	* [r1281] src/gtkmm/instance.cpp: Don't show the 'Convert' sub-menu
	  for Duplicate ValueNodes in the Children dialog.

2008-01-07 16:46  dooglus

	* [r1280] src/synfigapp/actions/valuedescdisconnect.cpp: Don't
	  allow Duplicate ValueNodes in the Children dialog to be
	  disconnected.

2008-01-07 16:08  dooglus

	* [r1279] src/gtkmm/instance.cpp: Don't allow the Index parameter
	  of the Duplicate layer to be converted.

2008-01-07 13:53  dooglus

	* [r1278] src/synfigapp/actions/valuedescdisconnect.cpp: Don't
	  allow the Index parameter of the Duplicate layer to be
	  disconnected.

2008-01-07 01:50  pabs

	* [r1273] configure.ac: Install gettext 0.14.4 macros since earlier
	  ones have a bug that disables NLS on amd64

2008-01-05 11:50  dooglus

	* [r1266] src/gtkmm/dock_layers.cpp: Added code to catch an
	  exception that is raised when we try using the Spanish
	  translation of synfig-core (if there's an accented character in
	  any of the layer category names, as in "Geometry" ->
	  "Geometría").

2008-01-03 13:49  dooglus

	* [r1264] src/gtkmm/canvasview.cpp, src/gtkmm/dock_layers.cpp: The
	  hardcoded string "Do Not Use" was being used in multiple places
	  as the category for layers that shouldn't show up in the GUI
	  menus. Replaced it with a single #define'd string constant. Also,
	  there's no need to translate it, since the string is never
	  displayed to the user. Previously we were dependent upon the same
	  translation for the string existing in both core and studio.

2008-01-02 23:26  dooglus

	* [r1260] src/gtkmm/Makefile.am: Missed these two in the previous
	  commit.

2008-01-02 20:11  dooglus

	* [r1258] src/gtkmm/Makefile.am: Reformatted and alphabetized.

2008-01-01 14:51  dooglus

	* [r1251] src/gtkmm/canvasview.cpp: Default to quality 9. Quality
	  10 won't render feathers or blurs in an upcoming commit, which
	  may be confusing as a default quality level.

2008-01-01 14:50  dooglus

	* [r1250] src/gtkmm/canvasview.cpp: Label the preview qualities
	  "best" and "fastest" because it's not clear that higher numbers
	  mean lower qualities.

2008-01-01 14:50  dooglus

	* [r1249] src/gtkmm/canvasview.cpp: Comment out unused code to make
	  it clearer what code is used and what isn't.

2007-12-29 04:29  pabs

	* [r1242] src/gtkmm/app.h, src/gtkmm/autorecover.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_info.h,
	  src/gtkmm/dock_navigator.cpp, src/gtkmm/dockable.h,
	  src/gtkmm/dockdialog.h, src/gtkmm/instance.cpp,
	  src/gtkmm/preview.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/toolbox.cpp: Fix 1859663: don't use the deprecated
	  sigc++ compatibility API. This allows sigc++ 2.1 and newer to be
	  used.

2007-12-28 15:46  dooglus

	* [r1241] src/gtkmm/app.cpp: Be more explicit about the exception
	  that is raised when constructing the application.

2007-12-27 07:10  dooglus

	* [r1236] src/synfigapp/general.h: r1234 missed one -
	  synfigapp/action.cpp calls gettext().

2007-12-27 04:53  pabs

	* [r1234] src/gtkmm/general.h, src/gtkmm/main.cpp,
	  src/synfigapp/general.h, src/synfigapp/main.cpp: Only build in
	  gettext support when gettext is available.

2007-12-26 16:36  dooglus

	* [r1230] src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/canvasinterface.cpp: Use the current value of a
	  parameter when converting it, rather than its value at time zero.

2007-12-20 17:03  dooglus

	* [r1223] src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h: Allow layers to be
	  removed from groups without the user having to type the name of
	  the group they are in.

2007-12-19 03:07  pabs

	* [r1221] src/gtkmm/widget_timeslider.cpp: Allow the use of
	  horizontal scrolling to adjust the current time in timeslider
	  widgets. Currently it simply scrolls one frame at a time, this
	  should perhaps be changed to something based on the size of the
	  current time window.

2007-12-19 03:07  pabs

	* [r1220] src/gtkmm/widget_defaults.cpp: Also allow adjustment of
	  the default brush size using horizontal scrolling. Now left/down
	  decreases, right/up increases.

2007-12-19 03:07  pabs

	* [r1219] po/Makevars: Add comments that start with "TRANSLATORS"
	  to the pot file.

2007-12-18 03:25  pabs

	* [r1215] Makefile.am, configure.ac, synfigstudio.spec.in: Remove
	  shitty .spec files that the RPM distros will probably rewrite
	  anyway.

2007-12-18 03:25  pabs

	* [r1214] configure.ac, m4/subs.m4, macosxbuild.sh,
	  src/gtkmm/app.cpp, src/gtkmm/main.cpp, win32build.sh: Strip
	  license key and software expiry stuff now that Synfig is free
	  software and out of alpha testing.

2007-12-17 09:43  dooglus

	* [r1205] doxygen.cfg.in, src/gtkmm/app.cpp,
	  src/gtkmm/audiocontainer.cpp, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvasview.cpp, src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/dialog_keyframe.cpp,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/duckmatic.cpp,
	  src/gtkmm/general.h, src/gtkmm/instance.cpp,
	  src/gtkmm/keyframetreestore.cpp, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/preview.cpp, src/gtkmm/render.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/valuelink.cpp,
	  src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_coloredit.cpp, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_vector.cpp, src/gtkmm/workarea.cpp,
	  src/synfigapp/action.cpp, src/synfigapp/action_system.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/canvasinterface.cpp, src/synfigapp/general.h,
	  src/synfigapp/instance.cpp, src/synfigapp/main.cpp,
	  src/synfigapp/uimanager.cpp, src/template.cpp, src/template.h:
	  Fix most of the warnings from doxygen for synfig-studio sources.

2007-12-17 09:43  dooglus

	* [r1204] src/gtkmm/audiocontainer.h: Typo.

2007-12-17 09:43  dooglus

	* [r1203] Makefile.am: Remove win32inst.nsi target because
	  automake/autoconf provides a rule to regenerate it.

2007-12-14 10:41  dooglus

	* [r1201] src/gtkmm/dock_children.cpp: Fix 1850637: studio was
	  crashing sometimes when closing a document.

2007-12-14 10:41  dooglus

	* [r1200] src/gtkmm/toolbox.cpp: Rename the menu entries that
	  create new horizontal and vertical docks: "Canvases, History" ->
	  "Vertical Dock: Canvases, History" and "Layers, Children, Params"
	  -> "Horizontal Dock: Layers, Children, Params".

2007-12-12 04:26  dooglus

	* [r1199] Makefile.am, configure.ac: Generate doxygen documentation
	  for studio.

2007-12-12 04:25  dooglus

	* [r1198] doxygen.cfg.in: Generate documentation for everything
	  under 'src'. Don't regenerate LaTeX documentation, only HTML.

2007-12-09 12:08  pabs

	* [r1189] src/gtkmm/canvasview.cpp: Fix i18n issue: "Show __ ducks"
	  strings were generated with macros, preventing them from being
	  put in the .pot file. Use full strings and use uppercase so the
	  similar strings in app.cpp are not duplicated. Thanks to Aurore
	  D.

2007-12-03 18:02  dooglus

	* [r1174] src/gtkmm/asyncrenderer.cpp: If environment variable
	  "SYNFIG_SHOW_TILE_OUTLINES" is defined, draw red outlines around
	  tiles as they are rendered. For debugging purposes.

2007-12-03 01:19  dooglus

	* [r1173] src/gtkmm/duckmatic.cpp: Fix 1830670: Use the 'C' locale
	  when loading and saving sketches.

2007-12-02 00:53  dooglus

	* [r1171] src/synfigapp/actions/valuedescset.cpp: Don't wrap the
	  angle in a radial composite conversation from -180 to 180 degrees
	  when manipulating it using a duck. Instead, modify the previous
	  value by something between -180 and 180 degrees.

2007-11-28 23:20  dooglus

	* [r1168] src/gtkmm/widget_timeslider.cpp: Fix ugly waypoint
	  drawing by rounding to integer values symmetrically.
	  http://dooglus.rincevent.net/synfig/waypoint-symmetry.png shows
	  the difference.

2007-11-27 01:16  dooglus

	* [r1167] src/gtkmm/dialogsettings.cpp, src/gtkmm/dockmanager.cpp:
	  Fix 1836848: if the window positions and sizes seem to be
	  corrupted, give them sensible values to prevent them being
	  created offscreen.

2007-11-24 21:27  dooglus

	* [r1165] src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h:
	  Use symbolic names for most of the duck colors, rather than
	  hardcoded hex color values.

2007-11-24 12:53  dooglus

	* [r1164] src/gtkmm/preview.cpp: Fix 1835429: crash closing preview
	  window before using it.

2007-11-21 23:54  pabs

	* [r1161] src/gtkmm/canvasview.cpp: Comment out the trackmenu, it
	  isn't used and the strings are annoying to translators

2007-11-21 23:08  dooglus

	* [r1160] images/real_icon.sif: The text layer fix in r965 caused
	  the text in this icon to render upside down. That is correct
	  behaviour, I think, but not what is wanted, so I'm inverting the
	  text.

2007-11-21 23:08  dooglus

	* [r1159] images/valuenode_icon.sif: The text layer fix in r965
	  caused the text in this icon to render upside down. That is
	  correct behaviour, I think, but not what is wanted, so I'm
	  inverting the text.

2007-11-21 23:08  dooglus

	* [r1158] src/gtkmm/duckmatic.h: Typo.

2007-11-19 00:05  dooglus

	* [r1157] src/gtkmm/workarea.cpp: Sometimes render artifacts only
	  appear when rendering tile by tile. Added environment variable
	  SYNFIG_DISABLE_TILE_RENDER which when set will prevent the tile
	  renderer from being used. The workarea won't display piece by
	  piece, but will update all at once, possibly slowly when set.

2007-11-16 04:19  pabs

	* [r1156] src/gtkmm/about.cpp, src/gtkmm/app.cpp,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/childrentree.cpp, src/gtkmm/compview.cpp,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_keyframe.cpp,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_layergroups.cpp, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_metadata.cpp, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/renddesc.cpp, src/gtkmm/toolbox.cpp,
	  src/gtkmm/zoomdial.h, src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/canvasinterface.cpp: Mark some more strings for
	  translation

2007-11-15 21:56  pabs

	* [r1154] src/gtkmm/app.cpp: Don't print pointers as integers,
	  print them as pointers. Thanks to Aurore.

2007-11-14 23:11  dooglus

	* [r1153] src/gtkmm/duckmatic.cpp: Revert r1151. I didn't intend to
	  commit that.

2007-11-14 22:58  dooglus

	* [r1152] src/gtkmm/duck.cpp: Fix the angle-duck rotation counter
	  code.

2007-11-14 22:58  dooglus

	* [r1151] src/gtkmm/duckmatic.cpp: checkpoint

2007-11-13 23:23  pabs

	* [r1146] configure.ac: Downgrade the gettext requirement again for
	  mingw

2007-11-13 23:13  pabs

	* [r1145] configure.ac: Downgrade the gettext requirement

2007-11-13 09:25  pabs

	* [r1144] configure.ac: Woops, remove the testing en_AU from
	  ALL_LINGUAS

2007-11-13 09:13  pabs

	* [r1143] Makefile.am, configure.ac, po, po/Makevars,
	  po/POTFILES.in, src/gtkmm/Makefile.am, src/gtkmm/about.cpp,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/app.cpp,
	  src/gtkmm/asyncrenderer.cpp, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/autorecover.cpp, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvasview.cpp, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_time.cpp,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/childrentree.cpp,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/compview.cpp,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/dialog_color.cpp,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_keyframe.cpp,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dialog_soundselect.cpp,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_waypoint.cpp,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dock_canvases.cpp,
	  src/gtkmm/dock_canvasspecific.cpp, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_curves.cpp, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_info.cpp, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_layergroups.cpp, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_metadata.cpp, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_params.cpp, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dockable.cpp, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/duck.cpp, src/gtkmm/duckmatic.cpp, src/gtkmm/general.h,
	  src/gtkmm/groupactionmanager.cpp, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/iconcontroller.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/ipc.cpp, src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframetree.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keymapsettings.cpp, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layergrouptree.cpp, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertreestore.cpp, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/mod_palette.cpp, src/gtkmm/module.cpp,
	  src/gtkmm/onemoment.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/renddesc.cpp, src/gtkmm/render.cpp,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_circle.cpp, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_eyedrop.cpp, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_gradient.cpp, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rotate.cpp, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_stroke.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_zoom.cpp, src/gtkmm/statemanager.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/valuelink.cpp,
	  src/gtkmm/widget_canvaschooser.cpp, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_coloredit.cpp, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_curves.cpp, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_distance.cpp, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_filename.cpp, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_sound.cpp, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_timeslider.cpp, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_vector.cpp, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypointmodel.cpp, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarearenderer.cpp, src/gtkmm/zoomdial.cpp,
	  src/synfigapp/Makefile.am, src/synfigapp/action.cpp,
	  src/synfigapp/action_param.cpp, src/synfigapp/action_system.cpp,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/blineconvert.cpp,
	  src/synfigapp/canvasinterface.cpp, src/synfigapp/cvs.cpp,
	  src/synfigapp/general.h, src/synfigapp/inputdevice.cpp,
	  src/synfigapp/instance.cpp, src/synfigapp/main.cpp,
	  src/synfigapp/settings.cpp, src/synfigapp/timegather.cpp,
	  src/synfigapp/uimanager.cpp: Initial attempt at i18n support
	  using gettext

2007-11-13 00:54  pabs

	* [r1142] m4/gnome.m4: get rid of an autoconf warning

2007-11-12 08:34  dooglus

	* [r1138] src/gtkmm/duckmatic.cpp: When editing an angle duck,
	  signal the angle it was rotated through, rather than the point it
	  was rotated to. This allows the user to rotate an angle duck
	  through multiple rotations.

2007-11-12 08:34  dooglus

	* [r1137] src/gtkmm/duck.h: Working on 1827966: Angles are
	  recalculated to 360 mod. New signal for class Duck to indicate
	  changes in angle.

2007-11-12 08:15  dooglus

	* [r1136] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h: Working
	  on 1827966: Angles are recalculated to 360 mod.

2007-11-12 08:15  dooglus

	* [r1135] src/gtkmm/layertree.cpp: Tidying.

2007-11-12 07:50  dooglus

	* [r1134] src/gtkmm/state_draw.cpp: Fix 1830245: always leave only
	  the newly created layers selected.

2007-11-11 10:46  dooglus

	* [r1131] src/gtkmm/duck.cpp, src/gtkmm/duck.h: Initial support for
	  duck drags of more than 180 degrees.

2007-11-10 12:40  dooglus

	* [r1129] src/gtkmm/workarea.cpp: Tidying a little.

2007-11-09 22:04  dooglus

	* [r1127] src/gtkmm/state_bline.cpp, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_stroke.cpp: Address 1829182: it's true that the
	  popup caret menu has been disabled for these tools. There's no
	  comment in the code saying why. I've added an environment
	  variable which re-enables the popup menu when set. export
	  SYNFIG_ENABLE_POPUP_MENU_IN_ALL_TOOLS=1 to try it, and report
	  your findings back to the bug report as to whether this should be
	  the default or not.

2007-11-09 20:35  dooglus

	* [r1126] src/gtkmm/state_draw.cpp: Fix 1829172: When drawing an
	  outline and a region at the same time, put the outline just on
	  top of the region.

2007-11-09 02:31  dooglus

	* [r1123] src/gtkmm/duckmatic.cpp: Tidying.

2007-11-09 01:42  pabs

	* [r1121] Makefile.am, bootstrap, config/ETL.m4, config/build.cfg,
	  config/configure.ac, config/cxx_macros.m4, config/gnome.m4,
	  config/libxml.m4, config/project.spec.in, config/subs.m4,
	  config/synfig.m4, configure.ac, m4, m4/ETL.m4, m4/cxx_macros.m4,
	  m4/gnome.m4, m4/libxml.m4, m4/subs.m4, m4/synfig.m4,
	  synfigstudio.spec.in: Kill off synfigstudio ./bootstrap

2007-11-08 22:50  dooglus

	* [r1119] src/gtkmm/childrentreestore.cpp,
	  src/gtkmm/childrentreestore.h, src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/canvasinterface.h: Fix 1823053: renaming an
	  exported valuenode causes a crash.

2007-11-03 16:51  dooglus

	* [r1110] src/gtkmm/state_draw.cpp: This isn't finished, and has
	  lots of debugging code still in, but it's working better than it
	  was before.

2007-11-02 20:54  dooglus

	* [r1109] src/gtkmm/layertree.cpp: Make the font size in the param
	  dialog's 'type' column the same as the other columns.

2007-11-02 20:54  dooglus

	* [r1108] src/synfigapp/value_desc.h: Added a \todo note
	  questioning a part of the code.

2007-11-02 20:54  dooglus

	* [r1107] src/gtkmm/state_draw.cpp: Simplify the block structure
	  without changing the behaviour.

2007-11-02 20:54  dooglus

	* [r1106] src/synfigapp/blineconvert.cpp: Quote the "Working Draft,
	  Standard for Programming Language C++" on a point I wasn't sure
	  about.

2007-11-02 20:54  dooglus

	* [r1105] src/gtkmm/state_draw.cpp: Tidying.

2007-11-02 20:54  dooglus

	* [r1104] src/gtkmm/app.cpp: New environment variable:
	  'SYNFIG_DISABLE_NEW_CANVAS_EDIT_PROPERTIES'. When set, don't pop
	  up the canvas properties dialog when creating a new document.

2007-11-02 20:53  dooglus

	* [r1103] src/gtkmm/state_draw.cpp: Merged two 'if' statements into
	  one.

2007-11-01 03:00  dooglus

	* [r1102] src/gtkmm/state_draw.cpp: Rearrange the drawing tool
	  options a little. Instead of 'region only' have checkboxes for
	  'region' and 'fill', like in the bline tool, so now it's possible
	  to draw regions and outlines together.

2007-11-01 01:49  dooglus

	* [r1101] src/gtkmm/state_draw.cpp: Use the same number in the
	  'fill' as in the 'outline' when filling a stroke.

2007-11-01 01:49  dooglus

	* [r1100] src/gtkmm/state_draw.cpp: When filling the last stroke in
	  the drawing tool, give the new region layer a name with ' Fill'
	  on the end.

2007-11-01 01:49  dooglus

	* [r1099] src/gtkmm/state_draw.cpp: Fix 1687566: The 'fill last
	  stroke' button in the drawing tool wasn't working.

2007-11-01 01:48  dooglus

	* [r1098] src/synfigapp/blineconvert.cpp: Tidying.

2007-11-01 01:48  dooglus

	* [r1097] src/synfigapp/blineconvert.cpp: Another draw tool bug fix
	  - these 2 lines were in the wrong order.

2007-11-01 01:48  dooglus

	* [r1096] src/synfigapp/blineconvert.cpp: Tidying.

2007-11-01 01:48  dooglus

	* [r1095] src/synfigapp/blineconvert.cpp: Typo.

2007-11-01 01:48  dooglus

	* [r1094] src/synfigapp/blineconvert.cpp: Commented out unused
	  code.

2007-11-01 01:48  dooglus

	* [r1093] src/synfigapp/blineconvert.cpp: Fix a crash in the draw
	  tool. The resulting bline should approximate the drawn curve more
	  accurately now.

2007-10-31 12:27  dooglus

	* [r1092] src/gtkmm/layertree.cpp: Add a 'Type' column to the
	  parameter dialog so it's possible to tell an 'Add' from a
	  'Subtract' convert for example.

2007-10-30 16:13  dooglus

	* [r1074] src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/waypointset.cpp: Typo: 'writting' ->
	  'writing'.

2007-10-30 16:13  dooglus

	* [r1073] src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp: Typo: 'procede' ->
	  'proceed'.

2007-10-30 16:13  dooglus

	* [r1072] src/synfigapp/actions/keyframeset.cpp: Typo: 'colision'
	  -> 'collision'.

2007-10-30 14:17  dooglus

	* [r1036] src/gtkmm/dock_navigator.h: Typo: 'asyncronous' ->
	  'asynchronous'.

2007-10-30 14:17  dooglus

	* [r1035] src/gtkmm/canvasview.h: Typo: 'occasionaly' ->
	  'occasionally'.

2007-10-30 14:17  dooglus

	* [r1034] src/synfigapp/canvasinterface.h: Typo: 'convience' ->
	  'convenience'.

2007-10-30 14:17  dooglus

	* [r1033] src/synfigapp/settings.cpp: Typo: 'attept' -> 'attempt'.

2007-10-30 14:16  dooglus

	* [r1032] src/synfigapp/blineconvert.cpp: Typo: 'inbetween' -> 'in
	  between'.

2007-10-30 14:15  dooglus

	* [r1030] src/synfigapp/blineconvert.cpp: Typo: 'eachother' ->
	  'each other'.

2007-10-30 14:14  dooglus

	* [r1029] src/synfigapp/blineconvert.cpp: Typo: 'tesselate' ->
	  'tessellate'.

2007-10-30 14:14  dooglus

	* [r1028] src/synfigapp/blineconvert.cpp: Typo: 'patern' ->
	  'pattern'.

2007-10-30 14:14  dooglus

	* [r1027] src/synfigapp/blineconvert.cpp: Typo: 'totaly' ->
	  'totally'.

2007-10-30 13:57  dooglus

	* [r1026] src/gtkmm/workarea.cpp: Typo: 'hilight' -> 'highlight'.

2007-10-30 13:57  dooglus

	* [r1025] src/gtkmm/workarea.cpp: Typo: 'interprete' ->
	  'interpret'.

2007-10-30 13:57  dooglus

	* [r1024] src/gtkmm/workarea.cpp: Typo: 'boundry' -> 'boundary'.

2007-10-30 13:57  dooglus

	* [r1023] src/gtkmm/state_zoom.cpp: Ye olde English -> modern day
	  English.

2007-10-30 13:57  dooglus

	* [r1022] src/gtkmm/state_width.cpp: 'Ello 'ello fake German ->
	  English.

2007-10-30 12:46  dooglus

	* [r1021] src/gtkmm/state_eyedrop.cpp, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_normal.cpp: Typo: 'enterted' -> 'entered'.

2007-10-30 12:46  dooglus

	* [r1020] src/gtkmm/state_bline.cpp, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_stroke.cpp: Type: 'circut' -> 'circuit'.

2007-10-30 12:46  dooglus

	* [r1019] src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layertreestore.cpp: Typo: 'suposidly' -> 'supposedly'.

2007-10-30 12:46  dooglus

	* [r1018] src/gtkmm/instance.cpp: Typo: 'occured' -> 'occurred'.

2007-10-30 12:46  dooglus

	* [r1017] src/gtkmm/instance.cpp, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/workarea.cpp,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescdisconnect.cpp: Use American
	  spelling: 'recognise' -> 'recognize'.

2007-10-30 12:45  dooglus

	* [r1016] src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/state_sketch.cpp: Typo: 'persistant' -> 'persistent'.

2007-10-30 12:45  dooglus

	* [r1015] src/gtkmm/dockdialog.cpp: Typo: 'theoreticly' ->
	  'theoretically'.

2007-10-30 10:55  dooglus

	* [r1013] src/gtkmm/cellrenderer_value.cpp,
	  src/gtkmm/cellrenderer_value.h, src/gtkmm/layertree.cpp: Typo:
	  'consistant' -> 'consistent'.

2007-10-30 10:54  dooglus

	* [r1012] src/gtkmm/canvasview.cpp, src/gtkmm/toolbox.cpp: Typo:
	  'carrage' -> 'carriage'.

2007-10-30 10:54  dooglus

	* [r1011] src/gtkmm/canvasview.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/toolbox.cpp: Typo: 'seperate' -> 'separate'.

2007-10-30 10:54  dooglus

	* [r1010] src/gtkmm/canvasview.cpp, src/gtkmm/toolbox.cpp: Typo:
	  'URL's' -> 'URLs'.

2007-10-30 10:54  dooglus

	* [r1009] src/gtkmm/canvasview.cpp: Typo: 'droped' -> 'dropped'.

2007-10-30 10:54  dooglus

	* [r1008] src/gtkmm/canvasview.cpp: Typo: 'aninimate' -> 'animate'.

2007-10-30 10:54  dooglus

	* [r1007] src/gtkmm/canvasview.cpp: Typo: 'preform' -> 'perform'.

2007-10-30 10:54  dooglus

	* [r1006] src/gtkmm/audiocontainer.cpp: Typo: 'tweek' -> 'tweak'.

2007-10-30 10:53  dooglus

	* [r1005] src/gtkmm/app.cpp: Typo: 'outselves' -> 'ourselves'.

2007-10-30 10:53  dooglus

	* [r1004] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/render.cpp, src/gtkmm/state_draw.cpp: Use American
	  spelling of 'initialise'.

2007-10-30 09:42  dooglus

	* [r1003] src/gtkmm/iconcontroler.cpp, src/gtkmm/iconcontroler.h,
	  src/gtkmm/iconcontroller.cpp, src/gtkmm/iconcontroller.h: Fix
	  previous commit. Renaming files using git-svn doesn't seem to
	  work - the old name doesn't get deleted and the new name has no
	  history.

2007-10-30 09:38  dooglus

	* [r1002] src/gtkmm/Makefile.am, src/gtkmm/app.cpp,
	  src/gtkmm/app.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/childrentreestore.cpp,
	  src/gtkmm/historytreestore.cpp, src/gtkmm/iconcontroller.cpp,
	  src/gtkmm/iconcontroller.h, src/gtkmm/instance.cpp,
	  src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/workarea.cpp: Typo: 'controler' -> 'controller'.

2007-10-30 09:05  dooglus

	* [r1001] src/gtkmm/canvasview.cpp,
	  src/synfigapp/canvasinterface.cpp: Typo: 'pf' -> 'of'.

2007-10-30 09:05  dooglus

	* [r1000] src/gtkmm/dockbook.cpp: Missed this one in the previous
	  commit. Right-click on dock tabs creates a menu that wasn't ever
	  being deleted.

2007-10-30 03:09  dooglus

	* [r999] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/dock_timetrack.cpp, src/gtkmm/layertree.cpp,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/state_normal.cpp, src/gtkmm/widget_gradient.cpp: Fix
	  1820750: delete popup menus once we're finished with them, so
	  they don't keep references to objects lying around.

2007-10-30 03:09  dooglus

	* [r998] src/synfigapp/action_param.h: Number the Param types to
	  ease debugging.

2007-10-26 02:36  pabs

	* [r985] images/Makefile.am, images/rename_icon.sif: Partially fix
	  1820315: add a rename_icon.sif by PXEGeek

2007-10-26 00:38  dooglus

	* [r983] src/gtkmm/iconcontroler.cpp: Removed duplicate code for
	  'remove's icon.

2007-10-26 00:38  dooglus

	* [r982] src/gtkmm/iconcontroler.cpp: Sorted alphabetically.

2007-10-26 00:38  dooglus

	* [r981] src/gtkmm/iconcontroler.cpp: Add stock icons for 'connect'
	  and 'disconnect'.

2007-10-25 18:31  dooglus

	* [r968] src/gtkmm/cellrenderer_timetrack.cpp: Tidying.

2007-10-25 00:11  dooglus

	* [r967] src/gtkmm/preview.cpp: Don't crash if the user clicks
	  'halt render' when the render has already been stopped.

2007-10-24 16:46  dooglus

	* [r961] src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h: When right-clicking on a
	  simple waypoint in a PasteCanvas' 'canvas' parameter, pop up a
	  menu allowing 'jump to' and 'change interp' at least.

2007-10-24 16:46  dooglus

	* [r960] src/gtkmm/cellrenderer_timetrack.cpp: Allow for 'time
	  offset' when calculating whether the user right-clicked on the
	  left or right half of a waypoint.

2007-10-23 19:57  dooglus

	* [r953] src/gtkmm/dockmanager.cpp: Prevent the "** CRITICAL **:
	  clearlooks_style_draw_box_gap: assertion `height >= -1' failed"
	  messages that appear when dock dialogs are shrunk so much they
	  overlap.

2007-10-23 19:57  dooglus

	* [r951] src/gtkmm/dockdialog.cpp, src/gtkmm/dockdialog.h: Typo.
	  pannel -> panel.

2007-10-23 19:56  dooglus

	* [r948] src/gtkmm/cellrenderer_timetrack.cpp: Typo.

2007-10-23 19:55  dooglus

	* [r947] src/gtkmm/cellrenderer_timetrack.cpp,
	  src/synfigapp/timegather.cpp, src/synfigapp/timegather.h:
	  Improvements to interaction with waypoints in time-shifted
	  canvases.

2007-10-22 01:03  dooglus

	* [r945] src/gtkmm/cellrenderer_timetrack.cpp: Typos.

2007-10-22 01:02  dooglus

	* [r944] src/gtkmm/cellrenderer_timetrack.cpp: Before this fix,
	  PasteCanvas' "time offset" values were being reflected in the
	  position of the waypoints in the timeline of parent
	  PasteCanvases, but not in the PasteCanvas itself. This fix adds a
	  preprocessor macro ADJUST_WAYPOINTS_FOR_TIME_OFFSET (to node.h)
	  which enables the offsetting of waypoints for all PasteCanvases
	  when defined. It's undefined though, because offsetting waypoints
	  doesn't yet work fully; see the TODO at the end of
	  layer_pastecanvas.cpp for details.

2007-10-22 01:02  dooglus

	* [r943] src/synfigapp/selectionmanager.h: Typos (childrens?).

2007-10-21 21:36  dooglus

	* [r941] src/gtkmm/render.cpp: Don't modify the target type that
	  was requested when calculating what type to use for target
	  'auto'.

2007-10-21 21:36  dooglus

	* [r938] src/gtkmm/cellrenderer_value.cpp: Removed 2 lines that
	  cause the 'Font Family' parameter in the 'Simple Text' layer to
	  show odd values when editing it.

2007-10-14 23:14  dooglus

	* [r930] src/gtkmm/render.cpp: Show some debugging output on stdout
	  when deciding which 'auto' target to use.

2007-10-14 22:14  dooglus

	* [r929] src/gtkmm/canvasview.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/render.cpp, src/synfigapp/canvasinterface.cpp: Use
	  filename_extension() and filename_sans_extension().

2007-10-13 03:05  dooglus

	* [r921] src/gtkmm/canvasproperties.cpp: Allow both 'name' and
	  renddesc parameters to be changed at the same time in the canvas
	  properties dialog.

2007-10-13 03:05  dooglus

	* [r920] src/synfigapp/canvasinterface.cpp: Don't set_time() twice
	  for the current canvas.

2007-10-13 01:51  dooglus

	* [r919] src/gtkmm/workarea.cpp: Fix a problem in single-thread
	  mode where the canvas isn't always updated.

2007-10-13 01:23  dooglus

	* [r918] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h: Fix the 'close' menu entry and close
	  button when viewing multiple canvases of the same document.
	  Replace 'close' by 'close window' and 'close document' in the
	  file menu.

2007-10-12 22:36  dooglus

	* [r917] src/gtkmm/canvasview.cpp: Show whether a canvas is unsaved
	  or not by putting a '*' in front of its name when it is unsaved.
	  Showing '(unsaved)' at the end often doesn't fit in the titlebar.

2007-10-12 17:29  dooglus

	* [r916] src/gtkmm/dock_navigator.cpp: Fix a crash when running
	  single-threaded and dragging the time slider.

2007-10-12 17:29  dooglus

	* [r915] src/gtkmm/workarea.cpp: Tidying.

2007-10-12 15:15  dooglus

	* [r914] src/gtkmm/canvasview.cpp: Close safely when closing from
	  the caret menu as well as when clicking the 'X' or hitting
	  alt-F4.

2007-10-12 14:43  dooglus

	* [r913] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Improve
	  single-threaded operation. It's now safe(r?) to close a canvas
	  while it's rendering.

2007-10-12 12:18  dooglus

	* [r912] src/gtkmm/canvasview.cpp: Fix 1682008: (pressing the X
	  button hides then shows window)

2007-10-11 19:36  dooglus

	* [r911] src/gtkmm/asyncrenderer.cpp: When single threaded, update
	  the gui after rendering each frame.

2007-10-11 19:36  dooglus

	* [r910] src/gtkmm/preview.cpp: Don't delete the preview renderer
	  if it's still running.

2007-10-11 19:36  dooglus

	* [r909] src/gtkmm/app.cpp: Default single_threaded to false,
	  because it doesn't work too well yet.

2007-10-11 16:32  dooglus

	* [r908] src/gtkmm/app.cpp: Only initialise threads if they aren't
	  already initialised.

2007-10-11 01:52  dooglus

	* [r899] src/gtkmm/asyncrenderer.cpp: Put the mutex code back as it
	  was originally. We can still use it when single threaded.

2007-10-10 21:37  dooglus

	* [r898] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/asyncrenderer.cpp, src/gtkmm/asyncrenderer.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/workarea.cpp: Use a checkbox in the gui (Toolbox > File
	  > Setup > Misc) for single_threaded, rather than a compile-time
	  #define.

2007-10-10 17:30  dooglus

	* [r897] src/gtkmm/preview.cpp: Typo.

2007-10-10 03:21  dooglus

	* [r886] src/gtkmm/asyncrenderer.h: Don't use SINGLE_THREADED by
	  default.

2007-10-10 03:21  dooglus

	* [r884] src/gtkmm/workarea.cpp: Only check whether the renderer is
	  updating when single threaded.

2007-10-10 03:21  dooglus

	* [r883] src/gtkmm/asyncrenderer.cpp: Show a message on stdout
	  saying that we're single-threaded.

2007-10-10 03:20  dooglus

	* [r882] src/gtkmm/asyncrenderer.cpp, src/gtkmm/asyncrenderer.h,
	  src/gtkmm/workarea.cpp: Run everything in the same thread.

2007-10-10 03:20  dooglus

	* [r881] src/gtkmm/dock_navigator.cpp: Clear the dirty flag before
	  starting the render, not after. This shouldn't make any
	  difference, but if this thread gets swapped out between the two
	  lines and the rendering finishes before the flag is clearer, we
	  won't see the results of the render.

2007-10-10 02:32  dooglus

	* [r875] NEWS: Updated svn revision number and date in NEWS files.

2007-10-10 01:03  pabs

	* [r870] synfigstudio.desktop.in: Remove obsolete Encoding field
	  from .desktop file

2007-10-08 13:39  dooglus

	* [r865] NEWS: Updated NEWS files.

2007-10-07 09:33  dooglus

	* [r855] NEWS: Remove dups and clarify.

2007-10-06 02:28  dooglus

	* [r849] config/configure.ac: Bump the required versions of ETL and
	  synfig.

2007-10-06 02:25  dooglus

	* [r848] src/gtkmm/about.cpp, src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dock_history.cpp, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_layers.cpp, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_timetrack.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockmanager.cpp, src/gtkmm/duckmatic.cpp,
	  src/gtkmm/duckmatic.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/layeractionmanager.cpp, src/gtkmm/main.cpp,
	  src/gtkmm/onemoment.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/renddesc.cpp, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_timecode.cpp,
	  src/gtkmm/state_bline.cpp, src/gtkmm/statemanager.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_coloredit.cpp, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_timeslider.cpp, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/canvasinterface.cpp, src/synfigapp/instance.cpp,
	  src/synfigapp/settings.cpp: Add my copyright to files I've
	  modified.

2007-10-06 02:25  dooglus

	* [r847] config/build.cfg: Bump the version numbers ready for the
	  coming release.

2007-10-05 23:56  dooglus

	* [r844] NEWS: Updated to r843.

2007-10-04 22:20  dooglus

	* [r842] src/gtkmm/canvasview.cpp: Fix r841: Previously it was
	  setting the menu to quality 10, but using parameteric rendering.

2007-10-04 21:53  dooglus

	* [r841] src/gtkmm/canvasview.cpp: Show the correct initially
	  selected quality level in the "View > Preview Quality" menu.

2007-10-04 21:53  dooglus

	* [r838] src/gtkmm/canvasview.cpp: Show filename and line number on
	  a few error messages, and remove a noisy info message.

2007-10-04 01:51  dooglus

	* [r837] src/gtkmm/instance.cpp: Give filename and line number in
	  some warning messages.

2007-10-04 01:51  dooglus

	* [r836] src/gtkmm/instance.cpp: Fix 1687573: The bug caused almost
	  everything in the caret menu of the 'other' canvas to be disabled
	  when the focused canvas was closed. Use present() to present the
	  other canvas, rather than manipulating selected_canvas_view
	  directly. This allows CanvasView::on_focus_in_event() to run and
	  call insert_action_group() to re-enable the menu.

2007-10-04 01:51  dooglus

	* [r835] src/gtkmm/dockbook.cpp: Tidying.

2007-10-04 01:50  dooglus

	* [r834] src/gtkmm/workarea.cpp: Removed some debugging code that I
	  didn't mean to commit.

2007-10-03 21:42  dooglus

	* [r833] src/gtkmm/canvasview.cpp: Prevent the "Gtk-CRITICAL **:
	  gtk_label_set_label: assertion `str != NULL' failed" warning, and
	  give 'view > play' an icon, too.

2007-10-03 20:13  dooglus

	* [r832] src/gtkmm/widget_timeslider.cpp: Default timesliders to
	  24fps, not 0fps, to prevent the warning: "GLib-GObject-WARNING
	  **: value "inf" of type `gdouble' is invalid or out of range for
	  property `step-increment' of type `gdouble'".

2007-10-03 19:57  dooglus

	* [r831] src/gtkmm/dockdialog.cpp: Prevent a warning from Gtk about
	  ownership of floating reference. The code's still not right, and
	  will be leaking a little (when new dialogs are opened), but I'm
	  sure there are much bigger leaks elsewhere.

2007-10-03 19:35  dooglus

	* [r830] src/gtkmm/canvasview.cpp: If 'view->play' is interrupted
	  with the 'stop' button, note that the playback has stopped.

2007-10-03 17:51  dooglus

	* [r829] src/gtkmm/dockdialog.cpp: Removed a couple of debugpoints.

2007-10-03 17:41  dooglus

	* [r828] src/synfigapp/settings.cpp: Don't save settings which we
	  can't find a value for. This prevents warnings on startup.

2007-10-03 17:41  dooglus

	* [r827] src/gtkmm/ipc.cpp: Make stdout quieter.

2007-10-03 02:18  dooglus

	* [r823] src/gtkmm/dock_layers.cpp,
	  src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/layeractionmanager.cpp: Stop the "Gtk-WARNING **: node
	  type doesn't match 2 (menu-main is type 7)" messages. The main
	  menu is a popup, not a menubar.

2007-10-03 02:17  dooglus

	* [r821] src/synfigapp/main.cpp: Make stdout quieter.

2007-10-03 02:17  dooglus

	* [r820] src/gtkmm/mod_palette/dock_paledit.cpp: Removed
	  debugpoint.

2007-10-03 02:17  dooglus

	* [r819] src/gtkmm/dockdialog.cpp: Make stdout quieter.

2007-10-03 02:17  dooglus

	* [r818] src/gtkmm/dockmanager.cpp: Make stdout quieter.

2007-10-03 02:17  dooglus

	* [r817] src/gtkmm/dockmanager.cpp: Make stdout quieter.

2007-10-03 02:17  dooglus

	* [r816] src/synfigapp/inputdevice.cpp: Remove debugpoint.

2007-10-03 02:17  dooglus

	* [r815] src/gtkmm/layertreestore.cpp: Tidying.

2007-10-03 02:16  dooglus

	* [r814] src/gtkmm/layertreestore.cpp: Fixed a typo.

2007-10-02 14:28  dooglus

	* [r813] src/synfigapp/canvasinterface.cpp: Changing the time
	  slider on a child canvas wasn't updating the grandchild canvas'
	  time slider. Now it does.

2007-10-02 13:04  dooglus

	* [r810] src/synfigapp/canvasinterface.cpp: When the user moves a
	  canvas' time slider, update the time sliders of any open child
	  canvas' workareas.

2007-10-01 21:49  dooglus

	* [r808] src/gtkmm/workarea.cpp: Only fix the red border if we're
	  not using the Gtk frame background color to draw the red border.

2007-10-01 21:48  dooglus

	* [r807] src/gtkmm/renderer_timecode.cpp, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h: Keep the red 'animate edit mode' border and
	  the current keyframe name from leaving artifacts when scrolling.

2007-09-30 20:48  dooglus

	* [r805] src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h: Fixed the way that the
	  decision is made which value to use when linking values together.
	  Also, output some information about the decision to the console.
	  Also show an error message if the user tries to link two
	  different exported values, or values of two different types,
	  rather than failing silently as before.

2007-09-29 20:13  dooglus

	* [r802] src/gtkmm/dock_info.cpp: I messed up the last commit.
	  Oops! And it turns out that neither this nor the previous commit
	  were needed. I was responding to a report from a 64bit user that
	  gamma_in() wasn't being found when building dock_info.cpp, but it
	  turned out that he had built and installed synfig-core before I
	  moved gamma_in into color.h...

2007-09-29 20:04  dooglus

	* [r801] src/gtkmm/dock_info.cpp: #include color.h to get the
	  gamma_in() #define.

2007-09-27 00:31  dooglus

	* [r773] config/build.cfg: Use the http svn repository, not https,
	  because using the https causes svn2cl to hang forever if the
	  server isn't trusted locally. (See Debian #443860)

2007-09-27 00:30  dooglus

	* [r772] config/gnome.m4, config/libxml.m4: Stop the 'warning:
	  underquoted definition of ...' warnings by putting [...] around
	  AC_DEFUN definitions.

2007-09-27 00:30  dooglus

	* [r771] src/gtkmm/about.cpp: Same as the last commit, except for
	  the 'splash screen' that is shown while Studio is loading, and
	  while documents are loading.

2007-09-27 00:30  dooglus

	* [r770] src/gtkmm/onemoment.cpp: export
	  SYNFIG_DISABLE_POPUP_WINDOWS=1 to stop the "one moment please"
	  staying on top. This is useful when debugging, because the 'one
	  moment' often turns into 'several hours', and it's annoying to
	  have an opaque strip in the centre of the screen for so long.

2007-09-26 19:10  dooglus

	* [r767] src/gtkmm/canvasview.cpp: Fix the crash that the previous
	  commit half-fixed.
	  
	  studio::App::quit() at app.cpp:1575
	  studio::Instance::safe_close () at instance.cpp:687
	  [ handle magic ]
	  ~CanvasView (this=0xa432378) at canvasview.cpp:918
	  ~WorkArea (this=0x8ed2a10) at workarea.cpp:815
	  [ handle magic ]
	  ^ ~Canvas (this=0x8e8a2b8) at canvas.cpp:94
	  | synfig::Canvas::clear () at canvas.cpp:136
	  | synfig::Canvas::erase (iter) at canvas.cpp:758
	  | synfig::Node::changed () at node.cpp:194
	  | synfig::Canvas::on_changed () at canvas.cpp:86
	  | synfig::Node::on_changed () at node.cpp:290
	  | [ sigc magic ]
	  | studio::CanvasView::on_dirty_preview () at canvasview.cpp:2774
	  `- illegal ------- work_area->queue_render_preview();

2007-09-26 16:59  dooglus

	* [r766] src/gtkmm/workarea.cpp: I thought this should prevent a
	  crash, but it doesn't. __render_preview is still being called
	  after the WorkArea has been deleted. Why?

2007-09-26 09:56  dooglus

	* [r762] src/gtkmm/dialog_setup.cpp: Fixed another set of
	  uninitialised variables.

2007-09-26 09:12  dooglus

	* [r761] src/gtkmm/canvasview.cpp: Fix a variable-read-before-set
	  error.

2007-09-26 05:57  dooglus

	* [r760] src/gtkmm/workarea.cpp: Finish fix for 1801220. I forgot
	  about the call to change the frame background back to normal when
	  not in edit mode. We don't need that now.

2007-09-25 21:56  dooglus

	* [r758] src/gtkmm/workarea.cpp: Fix 1801220: Some Ubuntu Themes
	  don't show the red border in animate edit mode. Draw the border
	  by hand rather than relying on the Gtk theme to have left a pixel
	  or two of background showing.

2007-09-25 21:25  dooglus

	* [r757] src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/toolbox.cpp:
	  Implement http://synfig.org/Wish_list : "Restore Default Layout".
	  It's on the toolbox's "Dialogs" menu.

2007-09-25 15:51  dooglus

	* [r756] src/gtkmm/state_bline.cpp: Fix 1776156: "region and
	  outline position ducks aren't linked". They are now - there's a
	  checkbox for "Link Offsets". I didn't add the option of not
	  linking vertex ducks yet, or add similar for the draw tool.

2007-09-25 12:39  dooglus

	* [r755] src/gtkmm/widget_coloredit.cpp: Only use gamma correction
	  on R,G,B & Y, and only when it's turned on!

2007-09-25 12:29  dooglus

	* [r754] src/gtkmm/widget_coloredit.cpp: Simplify the code by using
	  colorconv_synfig2gdk() rather than repeating its functionality
	  here. Incidentally, the last change fixed a bug illustrated here:
	  http://synfig.org/Image:Color-editor-linear-bug.jpg -- the
	  positions of the three R,G,B sliders should all be pointing at
	  the same color, but they weren't. The lower image shows how it
	  looks after the previous commit - all three slider positions are
	  the same color.

2007-09-25 12:29  dooglus

	* [r753] src/gtkmm/widget_coloredit.cpp: The color gradients
	  displayed on the sliders in the color editor were being
	  calculated incorrectly when "File > Setup > Misc > Visually
	  Linear Color Selection" was enabled, resulting in different
	  colors being displayed at each of the R, G and B sliders' current
	  positions.

2007-09-25 09:13  dooglus

	* [r751] src/gtkmm/dock_info.cpp, src/gtkmm/widget_coloredit.cpp:
	  Move the gamma_in and gamma_out macros into "color.h".

2007-09-25 08:33  dooglus

	* [r750] src/gtkmm/cellrenderer_value.cpp,
	  src/gtkmm/widget_color.cpp: Removed unused macros.

2007-09-22 21:10  dooglus

	* [r738] src/gtkmm/canvasview.h, src/gtkmm/instance.cpp: Fix
	  1800324: closing a window while an animation is playing crashes
	  studio, so don't let the window close if it's playing. Instead we
	  display a message explaining why the window won't close. It would
	  be better if we could somehow cause the playback to stop and then
	  close the window, but this is better than crashing.

2007-09-22 19:01  dooglus

	* [r737] src/gtkmm/app.cpp: Put View>Play on Control-P. Remove
	  View>Pause from the menu, because it has never been implemented.
	  How is would Pause be different than Stop anyway, since Stop
	  doesn't rewind?

2007-09-21 22:00  dooglus

	* [r734] src/gtkmm/toolbox.cpp: Addendum to 1799722: Now that
	  'save' no longer fails silently, we don't need the toolbox's
	  'save' button to special-case the 'save failed' message.

2007-09-21 22:00  dooglus

	* [r733] src/gtkmm/instance.cpp: Fix 1799722: Display an error
	  message when a 'save' (not 'save as') fails. Also, don't complain
	  'file already exists' if we can't read the directory to check
	  whether the file exists or not.

2007-09-21 22:00  dooglus

	* [r732] src/gtkmm/instance.cpp, src/gtkmm/instance.h,
	  src/gtkmm/toolbox.cpp: 'quit -> "want to save?" -> yes -> cancel'
	  should go back to working on the unsaved document immediately.

2007-09-21 00:27  dooglus

	* [r730] src/synfigapp/canvasinterface.cpp: Tidying.

2007-09-21 00:27  dooglus

	* [r729] src/gtkmm/render.cpp: Fixed 1799250: Add a function to
	  update the render filename from the document filename (plus the
	  canvas name, if it's not the root canvas).

2007-09-21 00:26  dooglus

	* [r728] src/gtkmm/instance.cpp: Working on 1799250: After changing
	  the filename, update the render settings with the new filename.

2007-09-21 00:26  dooglus

	* [r727] src/gtkmm/render.h: Working on 1799250: changed prototypes

2007-09-21 00:26  dooglus

	* [r726] src/gtkmm/render.h: Working on 1799250: added prototypes.

2007-09-21 00:26  dooglus

	* [r725] src/gtkmm/dialog_keyframe.h: Fixed a typo.

2007-09-20 20:53  dooglus

	* [r724] src/gtkmm/instance.cpp: Fix 1796971: if the user tries to
	  quit synfig or close a document when there's unsaved work, it
	  will prompt whether to save or not. If the user says 'yes, save',
	  then cancels the file selector, studio will now ask again "do you
	  want to save", rather than closing it immediately. This seems
	  more polite, and safer.

2007-09-20 20:53  dooglus

	* [r723] src/gtkmm/instance.cpp, src/gtkmm/instance.h: Working on
	  1796971: Make dialog_save_as() return a bool saying whether it
	  saved anything or not. Make save() use dialog_save_as() return
	  value too.

2007-09-19 12:53  dooglus

	* [r721] src/gtkmm/app.cpp, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h: If the user choses to save his work using
	  the default name ("Synfig Animation 1.sifz", for example), don't
	  keep showing the 'Save As' selector and warning about file
	  overwriting each time she saves. Also moved the string "Synfig
	  Animation " into a single #define rather than having it appear in
	  multiple places in the code.

2007-09-19 12:35  dooglus

	* [r720] NEWS: Brought up to date.

2007-09-18 12:54  dooglus

	* [r708] src/gtkmm/app.cpp, src/gtkmm/instance.cpp: Implement
	  1741236: use 'Synfig Animation N' (N=1,2,3,...) rather than
	  'untitledN' (N=0,1,2,...) as the default file name. Put the
	  default name in the file selector dialog when saving.

2007-09-18 11:07  dooglus

	* [r707] src/gtkmm/duckmatic.cpp: Put the 'paste_canvas' and
	  'PasteCanvas' mentions on a single line to make things clearer
	  when 'grep'ing the code.

2007-09-18 11:02  dooglus

	* [r706] src/gtkmm/canvasview.cpp,
	  src/gtkmm/layeractionmanager.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/canvasinterface.cpp: Renaming the PasteCanvas layer
	  in r705 missed the other references to the name elsewhere in the
	  code. This fixes it. We should use a #define'd value so it only
	  needs to be changed in one place, really. See also r590 and r597.

2007-09-17 23:53  dooglus

	* [r703] src/gtkmm/app.cpp: When saving a file, remember the
	  directory it was saved to, and use that as the default directory
	  in future. Like was already the case when loading a file.

2007-09-17 23:36  dooglus

	* [r702] src/gtkmm/instance.cpp, src/gtkmm/instance.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h: Removed
	  more unused code. There were 4 'save_as' functions, and 2 of them
	  were never used, so I removed them.

2007-09-17 23:01  dooglus

	* [r701] src/gtkmm/app.cpp, src/gtkmm/app.h,
	  src/gtkmm/instance.cpp, src/gtkmm/render.cpp:
	  App::dialog_saveas_file() and App::dialog_save_file() are
	  identical. Deleted one of them.

2007-09-17 22:39  dooglus

	* [r700] src/gtkmm/instance.cpp: Saving a document (I'm going to
	  call them documents because I don't know what else to call them -
	  I mean .sif or .sifz files) without specifying an extension
	  should add the default extension (.sifz) to the name you specify,
	  but that's not working if the full path includes a dot. This
	  change fixes that bug.

2007-09-17 21:49  dooglus

	* [r699] src/gtkmm/app.cpp: r679 introduced an error, assuming
	  'filename' would never be an absolute path. This fixes it.

2007-09-17 20:49  dooglus

	* [r698] src/gtkmm/instance.cpp: Save as .sifz by default (if there
	  is no '.' in the saved file's path).

2007-09-17 13:34  dooglus

	* [r689] src/gtkmm/canvasview.cpp: Fixed the View>Play menu entry
	  properly. It now waits for each frame to display before rendering
	  the next one.

2007-09-17 12:24  dooglus

	* [r688] src/gtkmm/workarea.cpp: The View>Play menu entry now does
	  something. It doesn't work particularly well, but on simple
	  animations it works.

2007-09-17 11:50  dooglus

	* [r687] src/gtkmm/widget_canvaschooser.cpp: Don't accept an empty
	  input when setting a paste canvas' layer's 'canvas' parameter
	  using 'other...'. Doing so causes an infinite loop, much like in
	  1796110.

2007-09-17 11:35  dooglus

	* [r686] src/gtkmm/widget_canvaschooser.cpp: Fix 1796110: don't try
	  finding the specified canvas when no canvas is specified (ie.
	  when the user clicks 'cancel' instead of typing a canvas name
	  using 'other...' from a paste canvas layer's "canvas" parameter.

2007-09-16 19:28  dooglus

	* [r680] src/gtkmm/state_bline.cpp, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_gradient.cpp, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_rectangle.cpp: Working on 1779592: the problem is
	  related to the 'no_egress_on_selection_change' variable, and the
	  double-negatives aren't making things any less confusing. So I
	  renamed it to 'egress_on_selection_change' instead, and changed
	  the sense of its value.

2007-09-16 17:47  dooglus

	* [r679] src/gtkmm/app.cpp: Fix 1383736: use absolute pathnames
	  when setting up Gtk file selector dialogs.

2007-09-14 22:34  dooglus

	* [r672] src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rotate.cpp, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_width.cpp, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Made a few more of
	  the member variables in class WorkArea private.

2007-09-14 13:15  dooglus

	* [r669] src/gtkmm/workarea.h: Some member variables were public,
	  but never used publically. Made them private instead to make it
	  clearer how they can be modified.

2007-09-14 01:33  dooglus

	* [r668] src/gtkmm/widget_gradient.cpp: Fix 1794006: when removing
	  a CPoint, signal that the gradient changed, so things can be
	  redrawn.

2007-09-13 07:54  pabs

	* [r662] NEWS: Add some changes to NEWS

2007-09-12 20:36  dooglus

	* [r658] src/gtkmm/about.cpp, src/gtkmm/app.cpp,
	  src/gtkmm/autorecover.cpp, src/gtkmm/dock_info.cpp,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/renddesc.cpp,
	  src/gtkmm/render.cpp, src/gtkmm/workarea.cpp: Since the last
	  change will require a recompilation of pretty much everything, I
	  took this opportunity to fix some spelling mistakes that were
	  annoying me.

2007-09-12 00:24  dooglus

	* [r655] config/subs.m4: Reinstate the -Wno-unused-parameter flag,
	  because when building a non-debug build, the 'assert()'s don't
	  get compiled, leading to a whole lot of warnings about an unused
	  parameter in value.h.

2007-09-10 20:13  dooglus

	* [r651] src/gtkmm/iconcontroler.cpp: The icons are in
	  $SYNFIG_ROOT/share/pixmaps/synfigstudio/ now, not
	  $SYNFIG_ROOT/share/pixmaps/. Updated the code which uses the
	  SYNFIG_ROOT environment variable to locate them. It shouldn't be
	  necessary to set SYNFIG_ROOT, in which case this fix will have no
	  effect, but setting it shouldn't break things like it currently
	  does.

2007-09-10 01:10  dooglus

	* [r647] src/gtkmm/cellrenderer_timetrack.cpp: Made a comment about
	  some compiler warnings that I don't yet understand.

2007-09-09 00:32  dooglus

	* [r642] src/gtkmm/canvasview.cpp, src/gtkmm/main.cpp,
	  src/gtkmm/workarea.cpp: Successfully fixed speling mistakes.

2007-09-08 15:58  dooglus

	* [r632] config/subs.m4: Remove the -Wno-unused-parameter flag from
	  the compile options now that it won't generate hundreds of
	  warnings.

2007-09-08 15:33  dooglus

	* [r631] src/gtkmm/app.cpp, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/audiocontainer.cpp, src/gtkmm/canvasview.cpp,
	  src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_value.cpp,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/dialog_gradient.cpp,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_soundselect.cpp,
	  src/gtkmm/dock_canvasspecific.cpp, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_timetrack.cpp, src/gtkmm/dockable.cpp,
	  src/gtkmm/historytreestore.cpp, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/metadatatreestore.cpp,
	  src/gtkmm/mod_mirror/state_mirror.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_circle.cpp, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_eyedrop.cpp, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_gradient.cpp, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rotate.cpp, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_stroke.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_zoom.cpp, src/gtkmm/toolbox.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_coloredit.cpp, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_defaults.cpp, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_sound.cpp, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarearenderer.cpp, src/synfigapp/action.h,
	  src/synfigapp/blineconvert.cpp,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/selectionmanager.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h: Prevent compiler warnings about unused
	  parameters.

2007-09-07 23:33  dooglus

	* [r630] src/gtkmm/keyframetreestore.cpp: Another case of
	  initialising a variable from itself - but this time it's
	  commented out. Added a note not to uncomment it.

2007-09-07 22:15  dooglus

	* [r628] src/gtkmm/state_draw.cpp: Prevent a compiler warning about
	  uninitialised variables. Added a few comments and rearranged
	  things a little. No functional differences.

2007-09-07 19:58  dooglus

	* [r626] src/gtkmm/about.cpp: Fix a couple of compiler warnings
	  ("passing 'float' for argument 1 to 'void
	  Pango::FontDescription::set_size(int)" twice)

2007-09-06 14:05  dooglus

	* [r616] src/gtkmm/canvasview.cpp: Oops! That last commit was
	  completely wrong. Reverting it.

2007-09-06 14:01  dooglus

	* [r615] src/gtkmm/canvasview.cpp: Don't include header files that
	  aren't needed.

2007-09-06 13:27  dooglus

	* [r611] src/synfigapp/instance.cpp: TimedSwap valuenodes shouldn't
	  be marked as directly editable.

2007-09-05 11:48  dooglus

	* [r600] src/gtkmm/childrentreestore.cpp: Exporting a constant
	  (non-animated) value, then renaming it, then viewing it in the
	  Children dialog causes a crash. The Children dialog wasn't
	  updating itself when constant values were renamed. Now it does.

2007-09-05 11:23  dooglus

	* [r599] src/gtkmm/canvastreestore.cpp: Minor code layout tidying.

2007-09-04 22:01  dooglus

	* [r597] src/gtkmm/canvasview.cpp, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/layeractionmanager.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/canvasinterface.cpp: Fix a bug introduced by r590.
	  The name of the paste_canvas later (which was PasteCanvas and is
	  now paste_canvas) is used in several places throughout the code.

2007-09-04 13:22  dooglus

	* [r585] src/gtkmm/app.cpp: Enable the draw, sketch and polygon
	  tools by default. They can be disabled by setting an environment
	  variable SYNFIG_DISABLE_{DRAW,SKETCH,POLYGON}.

2007-09-04 10:01  dooglus

	* [r582] src/gtkmm/toolbox.cpp: Make the 'open recent' menu escape
	  '_' characters.

2007-09-04 04:03  pabs

	* [r581] src/gtkmm/canvasview.cpp: Apply 1787437: fix typo in the
	  canvas menu. Patch from Chris Norman (pxegeek).

2007-09-03 22:59  dooglus

	* [r580] src/gtkmm/state_draw.cpp: Add an 'auto-export' checkbox
	  and an auto-incrementing text entry box to the draw tool options
	  to allow drawn lines to be named and optionally exported as they
	  are drawn (like in the bline tool).

2007-09-03 20:10  dooglus

	* [r579] src/synfigapp/actions/waypointsetsmart.cpp: Change the
	  displayed name of this action from 'Connect' to 'Add Waypoint'.
	  Maybe 'Set Waypoint' would be better? I'm not sure exactly how
	  the various waypoint actions differ.

2007-09-03 19:13  dooglus

	* [r578] src/gtkmm/duckmatic.cpp, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layertree.cpp, src/gtkmm/layertreestore.cpp: Rename
	  ValueBase::same_as() to ValueBase::same_type_as(), since it
	  compares types, not values.

2007-08-31 13:12  dooglus

	* [r568] src/gtkmm/canvasview.cpp: Fix 1780016: right-clicking in
	  the Children dialog no longer crashes studio.

2007-08-31 08:51  dooglus

	* [r567] src/gtkmm/dock_timetrack.cpp: Allow the spacing of the
	  rows in the Timetrack dialog to be specified using environment
	  variables. I use large fonts, which seems to cause the Timetrack
	  rows not to correspond with the PAram dialog rows unless I
	  specify:
	  export SYNFIG_TIMETRACK_ROW_HEIGHT=21
	  export SYNFIG_TIMETRACK_HEADER_HEIGHT=30

2007-08-30 01:10  dooglus

	* [r563] src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h: Forgot to
	  include these 2 in the last commit. Implement new method
	  toggle_select_ducks_in_box().

2007-08-30 01:07  dooglus

	* [r562] src/gtkmm/workarea.cpp: When dragging a box around some
	  ducks, holding SHIFT adds the surrounded ducks to the selection,
	  CTRL toggles them, SHIFT+CTRL unselects them, and holding no keys
	  will cancel the existing selection and leave just the surrounded
	  ducks selected. Previously CTRL and SHIFT both did the same thing
	  (adding to the selection).

2007-08-30 00:42  dooglus

	* [r561] src/gtkmm/workarea.cpp: Only use CTRL to toggle ducks on
	  and off by clicking on them. Previously both CTRL and SHIFT were
	  doing the same job. This frees up SHIFT to be used elsewhere.

2007-08-29 17:07  dooglus

	* [r560] src/gtkmm/workarea.cpp: Partially implement 1781331: use
	  shift key to manipulate ducks. It is now possible to split a
	  tangent by shift-dragging its duck, but currently only for
	  existing blines. The feature isn't yet implemented while in the
	  bline tool itself.

2007-08-28 19:01  dooglus

	* [r559] src/gtkmm/statemanager.cpp: Use pabs' trick from r558 to
	  fix the tool names in the 'state' menu.

2007-08-27 00:21  pabs

	* [r558] src/gtkmm/toolbox.cpp: Fix the tooltips on the toolbox
	  buttons for all the different tools.

2007-08-27 00:20  pabs

	* [r557] src/gtkmm/app.cpp: Switch from Ok, Cancel to Cancel, Open
	  and Cancel, Save in the GTK based Open and Save dialogs.

2007-08-22 21:36  dooglus

	* [r556] src/gtkmm/app.cpp: Move 'increase amount' and 'decrease
	  amount' from the canvas menu to the layer menu, since they
	  operate on the selected layers, not on the canvas.

2007-08-22 20:59  dooglus

	* [r555] src/gtkmm/renddesc.cpp: Fix 1779616: prevent image span,
	  resolution, etc. from quite reaching zero.

2007-08-15 07:55  pabs

	* [r554] src/gtkmm/workarea.cpp: Add support for scrolling left and
	  right in the canvas window. Ctrl+LeftScroll zooms out,
	  Ctrl+RightScroll zooms in. Shift works the opposite to up-down.

2007-08-14 12:37  pabs

	* [r553] src/gtkmm/layerparamtreestore.cpp: Fix 1356449: don't
	  crash when creating a PasteCanvas by not accessing a NULL pointer

2007-08-02 05:32  pabs

	* [r550] config/configure.ac: Move icons into a synfigstudio
	  subdirectory of the pixmaps directory. Suggestion by Cyril
	  Brulebois (KiBi)

2007-07-04 14:05  dooglus

	* [r548] src/gtkmm/app.cpp: Added keyboard shortcuts for all 16 of
	  the tools (alt + ...)
	  
	  a:normal v:smooth d:scale s:rotate
	  b:bline c:circle r:rectangle g:gradient
	  e:eyedrop f:fill z:zoom p:polygon
	  w:draw k:sketch t:width m:mirror

2007-06-20 12:56  pabs

	* [r543] NEWS: Releasing synfigstudio 0.61.06 today

2007-06-20 12:55  pabs

	* [r542] Makefile.am: Fix the SVN tagging targets

2007-06-13 16:41  dooglus

	* [r525] src/gtkmm/dock_navigator.cpp: Fix 1736536: integer
	  division isn't good enough when the navigator window is small.

2007-06-13 14:23  pabs

	* [r524] NEWS: Mention the new icons in the NEWS file

2007-06-12 10:01  pabs

	* [r523] config/build.cfg: Bump version number to 0.61.06.
	  Hopefully the last revision before the release.

2007-06-12 10:01  pabs

	* [r522] config/configure.ac: Require version 0.04.09 of ETL and
	  version 0.61.06 of synfig to be installed.

2007-06-12 08:34  pabs

	* [r518] AUTHORS, README, images/bline_icon.sif,
	  images/circle_icon.sif, images/draw_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/mirror_icon.sif,
	  images/polygon_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/scale_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/zoom_icon.sif: Update authorship and copyright for the
	  Tango icons, PXEGeek has placed them in the public domain.

2007-06-11 19:13  pabs

	* [r516] config/configure.ac, images/Makefile.am,
	  src/gtkmm/Makefile.am: Really really fix 1568925, gawd I suck.
	  This time I tested it, yes I did. YAY NEW PXEGEEK PROVIDED TANGO
	  GOODNESS WITH THE SUGAR LOADED DEBCONF......

2007-06-11 17:39  pabs

	* [r515] config/configure.ac, src/gtkmm/Makefile.am: Fix 1568925
	  the real way recommended by the autoconf manual

2007-06-11 15:56  pabs

	* [r514] src/gtkmm/Makefile.am: Distribute compview.cpp, don't
	  build it

2007-06-11 12:20  pabs

	* [r512] src/gtkmm/Makefile.am: Add compview.cpp, which seems to
	  have been ignored before

2007-06-11 10:26  pabs

	* [r510] TODO: Add TODO item about icon naming switch

2007-06-11 10:24  pabs

	* [r509] README, TODO, images/bline_icon.sif,
	  images/circle_icon.sif, images/draw_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/mirror_icon.sif,
	  images/polygon_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/scale_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/zoom_icon.sif: Add PXEGeek's new Tango ArtLibreSet styled
	  icons. Pre-commit changes include disabling grid-show and adding
	  copyright and description information.

2007-06-10 20:17  pabs

	* [r506] Makefile.am, bootstrap: Generate the ChangeLog at
	  bootstrap time, add a ChangeLog Makefile target

2007-06-04 08:43  pabs

	* [r501] images/Makefile.am: Remove the generated Makefile.in file
	  on maintainer-clean

2007-06-03 23:56  pabs

	* [r496] bootstrap: Change automake invocation to use symlinks and
	  use the stricter gnu standards

2007-06-03 23:45  pabs

	* [r493] COPYING, INSTALL: Remove INSTALL and COPYING, they will be
	  supplied by automake

2007-05-27 23:43  pabs

	* [r488] src/gtkmm/about.cpp: Partially fix 1678554: fix the font
	  colour and size in the about dialog, inspiration from the gimp.

2007-05-27 23:41  pabs

	* [r487] src/gtkmm/devicetracker.cpp: Partially fix 1677510: don't
	  set the input mode on devices to GDK_MODE_SCREEN by default.
	  Prevented laptop users from using their touchpad in synfig.

2007-05-27 23:39  pabs

	* [r486] config/configure.ac: Fix 1568925: fix problem with
	  definition of the IMAGE_DIR at configure time

2007-05-27 23:38  pabs

	* [r485] config/configure.ac, src/gtkmm/app.cpp: Change the default
	  user dir to ~/.synfig for Linux & Unix users

2007-05-27 23:38  pabs

	* [r484] src/gtkmm/app.cpp: Make the save button on the input
	  devices dialog make it clear that saving input device settings is
	  not yet supported.

2007-04-18 10:37  dooglus

	* [r479] src/gtkmm/layeractionmanager.cpp: Partially fix 1702760:
	  stop compiler warning about layeractionmanager.cpp.

2007-04-18 10:19  dooglus

	* [r478] src/gtkmm/dockmanager.cpp: Oops. Correcting previous
	  commit.

2007-04-18 10:13  dooglus

	* [r477] src/gtkmm/dockmanager.cpp: Partially fix 1702760: stop
	  compiler warning about dockmanager.cpp.

2007-04-18 09:47  dooglus

	* [r475] src/gtkmm/renderer_canvas.cpp: Partially fix 1702760: stop
	  compiler warning about renderer_canvas.cpp.

2007-04-18 09:26  dooglus

	* [r473] src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp:
	  Partially fix 1702760: stop compiler warning about
	  valuenodedynamiclistinsertsmart.cpp.

2007-04-18 04:05  pabs

	* [r471] TODO: Add links to the wiki and tracker to the
	  synfigstudio TODO

2007-04-13 12:39  dooglus

	* [r468] src/gtkmm/duckmatic.cpp: Use a couple of macros instead of
	  magic constants

2007-04-12 17:50  dooglus

	* [r466] src/gtkmm/preview.cpp: Fix 1699325: only add on time for
	  exactly one extra frame

2007-04-12 15:10  dooglus

	* [r465] src/gtkmm/canvasview.cpp, src/gtkmm/widget_timeslider.cpp,
	  src/synfigapp/blineconvert.cpp: Typos.

2007-04-12 13:49  dooglus

	* [r464] src/gtkmm/instance.cpp: Typo.

2007-04-11 14:35  dooglus

	* [r454] src/gtkmm/dockdialog.cpp: Disable the
	  'set_transient_for()' call unless environment variable
	  SYNFIG_TRANSIENT_DIALOGS is set. This call was having a bad
	  effect on KDE, making the dialog windows disappear and reappear
	  as the mouse was moved from window to window.

2007-04-10 15:23  dooglus

	* [r452] src/synfigapp/canvasinterface.cpp: Fix 1697753: compare
	  times with times, not with frame counts

2007-04-10 15:10  dooglus

	* [r451] src/gtkmm/canvasview.cpp,
	  src/synfigapp/canvasinterface.cpp: Fix 1697728: Code for 'End'
	  was commented out, and code for 'Begin' was going to the end for
	  some reason.

2007-04-10 13:15  dooglus

	* [r450] bootstrap: Fixed a typo.

2007-04-09 16:09  dooglus

	* [r448] images/Makefile.am: Include the 4 keyframe lock icons in
	  the lists of images to install and uninstall.

2007-04-06 14:28  dooglus

	* [r441] src/gtkmm/dockdialog.cpp: Set the dialog windows to be
	  'transient for' the toolbox window. In XFCE4 this makes all the
	  dialogs jump to the front when the toolbox is brought to the
	  front. In GNOME this was happening already.
	  
	  Ideally, selecting any workspace window should bring all dialogs
	  to the front.

2007-04-06 13:16  dooglus

	* [r440] bootstrap, config/configure.ac, win32inst.nsi.in: Apply
	  1695494: fix version number in the Win32 registry, add
	  API_VERSION variable. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:15  dooglus

	* [r439] win32inst.nsi.in: Apply 1695493: remove unnecessary win32
	  registry key check. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:14  dooglus

	* [r438] win32inst.nsi.in: Apply 1695492: install start menu
	  shortcuts for all users on Win32. Patch by Dmitriy Pomerantsev
	  (Atrus)

2007-04-06 13:13  dooglus

	* [r437] Makefile.am, images/Makefile.am, win32inst.nsi.in: Apply
	  1695491: uninstall all pixmaps on Win32. Patch by Dmitriy
	  Pomerantsev (Atrus)

2007-04-06 13:10  dooglus

	* [r436] images/Makefile.am: Apply 1695484: generate 48x48 icons on
	  Win32 since they look better. Patch by Dmitriy Pomerantsev
	  (Atrus)

2007-04-04 19:31  dooglus

	* [r423] src/synfigapp/settings.cpp: Fix 1694393: save 'pref.*'
	  keys first, so the window manager hint preference is loaded
	  before saved dialogs are created.

2007-04-04 18:38  dooglus

	* [r422] src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/valuedescset.cpp:
	  `blinepointtangentsplit.cpp' and `blinepointtangentmerge.cpp'
	  should just take care of toggling the 'split tangents' value.
	  `valuedescset.cpp' can look after the tangent vectors themselves.
	  That way, the same code is used whether the tangents are
	  split/merged using a context menu on the canvas or directly in
	  the parameter dialog.

2007-04-02 17:09  dooglus

	* [r420] src/synfigapp/actions/blinepointtangentmerge.cpp: When
	  merging tangents, use the average of the two tangents we're
	  merging, rather than arbitrarily using the old value of one of
	  them.

2007-04-02 15:13  dooglus

	* [r419] src/gtkmm/widget_coloredit.cpp: Don't
	  "assert(color.is_valid())" before setting the colour's alpha
	  component - it might not have been initialised yet.

2007-04-01 19:25  dooglus

	* [r414] src/gtkmm/canvasview.h: I forgot to remove these
	  prototypes when removing definitions earlier.

2007-04-01 19:06  dooglus

	* [r413] src/gtkmm/canvasview.cpp, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h: Remove old unused code that used to handle
	  the eyedropper, colour selector, bline, polygon and draw tools.

2007-04-01 18:43  dooglus

	* [r412] src/gtkmm/toolbox.cpp: Small formatting changes. And show
	  "..." after buttons which require further input.

2007-04-01 18:38  dooglus

	* [r411] src/gtkmm/toolbox.cpp: Simple implementation of 'Save
	  All'.

2007-04-01 18:36  dooglus

	* [r410] src/gtkmm/instance.cpp: When prompting for 'Save As...',
	  show the name of the root canvas being saved in the title bar.

2007-04-01 17:30  dooglus

	* [r409] src/gtkmm/dock_history.cpp: Put the 'redo' button next to
	  the 'undo' button, and before the 2 'clear' buttons, so that both
	  'undo' and 'redo' are visible when the history dialog is narrow.
	  Edited the labels and tooltips a little, too.

2007-04-01 16:46  dooglus

	* [r408] src/gtkmm/app.cpp: Prettied up the layout of the ACCEL and
	  ACCEL2 macros.

2007-04-01 15:28  dooglus

	* [r407] src/gtkmm/instance.cpp: Fix 1686425: prompt before
	  overwriting an existing file with 'save as'.

2007-03-31 23:54  dooglus

	* [r403] src/gtkmm/state_draw.cpp: Typo.

2007-03-31 23:29  dooglus

	* [r402] src/gtkmm/state_draw.cpp: Real width(width) doesn't work.
	  The new variable is in scope before the old one can be used. Use
	  `Real tmp_width(width)' instead.

2007-03-29 04:30  pabs

	* [r393] NEWS: Update NEWS file for the next release

2007-03-27 15:12  dooglus

	* [r388] src/gtkmm/cellrenderer_timetrack.cpp: Partially fix
	  1689282: stops the crash when clicking in timetrack dialog

2007-03-26 00:02  dooglus

	* [r387] src/gtkmm/state_smoothmove.cpp: Added a few comments and
	  increase some code readability.

2007-03-25 07:28  pabs

	* [r386] fixer: Remove copyright fixer script since it is no longer
	  needed

2007-03-25 03:55  dooglus

	* [r385] src/gtkmm/state_draw.cpp: Added my copyright line.

2007-03-24 21:01  dooglus

	* [r384] src/gtkmm/state_draw.cpp: I somehow missed updating these
	  3 lines in r364.

2007-03-24 19:41  dooglus

	* [r381] README: Added my copyright to the README files, as
	  requested.

2007-03-24 17:37  dooglus

	* [r380] src/gtkmm/widget_timeslider.cpp: Setting the 'In
	  Interpolation' of a waypoint to 'Constant' causes the left hand
	  side of the waypoint to be set to colour #C70000. Then selecting
	  that waypoint causes it to be highlighted, by multiplying the
	  colour by 1.3. 0xc7 * 1.3 > 0x100, so the colour was wrapping
	  around to 0 and the highlighted waypoint was appearing black.

2007-03-24 16:22  dooglus

	* [r379] src/gtkmm/canvasview.cpp: I've no idea what "the audio
	  display" is all about, but disp_audio is a pointer, and so needs
	  to be dereferenced before use.

2007-03-23 02:39  pabs

	* [r370] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_zoom.cpp: Fix 1368904: disable the timebar
	  instead of hiding it when switching to tools that require the
	  timebar to be unavailable

2007-03-23 00:28  dooglus

	* [r369] images/Makefile.am, images/curves_icon.sif,
	  src/gtkmm/iconcontroler.cpp: There wasn't an icon for the
	  'Curves' dialog, so I made one. It's brown and ugly, but better
	  than nothing.

2007-03-22 13:27  dooglus

	* [r364] src/gtkmm/state_draw.cpp: Split the 'auto connect' option
	  into 2 separate options:
	  
	  * auto extend: extend existing lines when the new line joins on
	  to one of their ends
	  * auto link: make a new line, but link its start and/or end ducks
	  to existing nearby ducks

2007-03-21 08:42  dooglus

	* [r362] src/gtkmm/preview.h: Switch the order of the #includes to
	  fix a build problem on Win32. winnt.h defines DELETE, which gtkmm
	  headers fix, but only if winnt.h is included before the gtkmm
	  headers are. winnt.h is being included by ETL/clock, so move that
	  include up.

2007-03-20 00:15  dooglus

	* [r360] src/gtkmm/widget_coloredit.cpp: Allow the hex text area to
	  be used to edit the colour of existing layers.

2007-03-19 22:23  dooglus

	* [r359] src/gtkmm/toolbox.cpp: Removed spurious space from menu
	  entry.

2007-03-19 16:11  dooglus

	* [r358] src/gtkmm/layertree.cpp: Use 'Name' and 'Value' as the
	  column headers in the Params dialog instead of 'Param' and
	  'ValueBase'.

2007-03-19 16:09  dooglus

	* [r357] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Members
	  param_tree_view() and get_param_tree_view() were doing exactly
	  the same thing. Commented out param_tree_view() and use
	  get_param_tree_view() everywhere.

2007-03-18 13:13  pabs

	* [r355] TODO, src/gtkmm/mod_palette/dock_palbrowse.h: Add comment
	  from darco about what the "Palette Browser" dock dialog was
	  intended to be for and TODO item about it.

2007-03-18 02:38  dooglus

	* [r354] src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h: Implements PXEGeek's
	  http://synfig.org/Wish_list entry: "Optionally display RGB in Hex
	  in Color dialog"

2007-03-16 18:32  dooglus

	* [r349] src/gtkmm/render.cpp: Spelling correction.

2007-03-16 15:46  dooglus

	* [r348] src/gtkmm/canvasview.cpp: Fix 1682016: default to 700x510
	  instead; big enough to be useful, not too big to fit on a 800x600
	  screen. Perhaps eventually we should save the size between
	  sessions.

2007-03-16 14:44  dooglus

	* [r347] src/gtkmm/state_sketch.cpp: Fix 1438545: hide and reshow
	  the sketch after 'undo' or 'clear' to ensure it's updated on
	  screen. There may be a better way to do this; I've left that as a
	  \todo in the code.

2007-03-16 12:31  pabs

	* [r346] src/gtkmm/mod_palette/mod_palette.cpp: Disable the
	  "Palette Browser" dock dialog since it does nothing and has no
	  code. Leaving the files there in case darco remembers it's
	  destiny.

2007-03-16 08:32  dooglus

	* [r342] INSTALL, Makefile.am, bootstrap, config/ETL.m4,
	  config/configure.ac, config/synfig.m4, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: Enabled $Id$
	  expansion.

2007-03-16 05:21  pabs

	* [r339] INSTALL, Makefile.am, bootstrap, config/ETL.m4,
	  config/configure.ac, config/synfig.m4, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: Enable more
	  $Id$ expansion.

2007-03-16 00:39  dooglus

	* [r336] src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h: Enable $Id$ expansion.

2007-03-15 14:41  dooglus

	* [r325] src/gtkmm/about.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/compview.cpp, src/gtkmm/dialog_color.cpp,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dock_canvases.cpp,
	  src/gtkmm/dock_canvases.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_history.cpp, src/gtkmm/dock_history.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/groupactionmanager.cpp, src/gtkmm/groupactionmanager.h,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/iconcontroler.h,
	  src/gtkmm/instance.cpp, src/gtkmm/instance.h,
	  src/gtkmm/layeractionmanager.cpp, src/gtkmm/layeractionmanager.h,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/main.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/renddesc.cpp, src/gtkmm/renddesc.h,
	  src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_canvas.h, src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_dragbox.h, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_ducks.h, src/gtkmm/renderer_grid.cpp,
	  src/gtkmm/renderer_grid.h, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_guides.h, src/gtkmm/renderer_timecode.cpp,
	  src/gtkmm/renderer_timecode.h, src/gtkmm/smach.h,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_bline.h,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_draw.h,
	  src/gtkmm/state_normal.cpp, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_smoothmove.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/statemanager.cpp, src/gtkmm/statemanager.h,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/inputdevice.h, src/synfigapp/instance.cpp,
	  src/synfigapp/instance.h, src/synfigapp/main.cpp,
	  src/synfigapp/main.h, src/synfigapp/selectionmanager.h,
	  src/synfigapp/settings.cpp, src/synfigapp/settings.h,
	  src/template.cpp, src/template.h: Fixing warnings from doxygen:
	  
	  * Added doxygen header where missing.
	  * Fixed bad \file commands where they were wrong.
	  * Etc.

2007-03-15 12:16  dooglus

	* [r320] src/gtkmm/about.h, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.h, src/gtkmm/toolbox.h: Added missing
	  '\endlegal'.

2007-03-15 12:14  dooglus

	* [r318] src/gtkmm/about.h, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.h, src/gtkmm/toolbox.h: Fixed doxygen header,
	  preventing:
	  
	  Warning: namespace synfig already has a detailed description ...

2007-03-13 15:27  pabs

	* [r313] config/build.cfg, config/project.spec.in,
	  src/gtkmm/app.cpp: Fix some URLs

2007-03-13 14:20  dooglus

	* [r310] src/gtkmm/state_draw.cpp: Fix 1679790: draw tool:
	  extending transformed blines. Most of the required code was
	  already there - things just needed rearranging a little.

2007-03-13 13:39  dooglus

	* [r309] src/gtkmm/state_draw.cpp: Fixed formatting to match
	  surrounding code.

2007-03-13 13:23  dooglus

	* [r308] src/gtkmm/state_draw.cpp: Fix 1679452: extending blines
	  with a non-zero offset works OK now as well

2007-03-13 12:13  dooglus

	* [r307] src/gtkmm/state_draw.cpp: Partially fix 1679452:
	  
	  * drawing to or from a duck *within* a bline will adjust the
	  offset of the newly created bline's layer to match the offset of
	  the bline it's linked to
	  
	  * connecting two ducks, both within different blines will check
	  whether the two blines have the same offset. if so, the new bline
	  will be created with the same offset. if not, it will only be
	  joined to the duck it started at
	  
	  * extending blines with non-zero offset still needs work

2007-03-13 10:10  pabs

	* [r306] images/sif_icon.sif, src/gtkmm/about.cpp,
	  src/gtkmm/app.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/instance.cpp: Correct the case of Synfig Studio
	  throughout the code

2007-03-12 22:47  dooglus

	* [r305] src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/dialog_color.cpp,
	  src/gtkmm/dialog_color.h, src/gtkmm/dialog_gradient.cpp,
	  src/gtkmm/dialog_gradient.h, src/gtkmm/dialog_keyframe.cpp,
	  src/gtkmm/dialog_keyframe.h, src/gtkmm/dialog_preview.cpp,
	  src/gtkmm/dialog_preview.h, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dialog_setup.h, src/gtkmm/dialog_soundselect.cpp,
	  src/gtkmm/dialog_soundselect.h, src/gtkmm/dialog_tooloptions.cpp,
	  src/gtkmm/dialog_tooloptions.h, src/gtkmm/dialog_waypoint.cpp,
	  src/gtkmm/dialog_waypoint.h, src/gtkmm/dialogsettings.cpp,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dockable.cpp, src/gtkmm/dockable.h,
	  src/gtkmm/dockbook.cpp, src/gtkmm/dockbook.h,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/dockdialog.h,
	  src/gtkmm/dockmanager.cpp, src/gtkmm/dockmanager.h,
	  src/gtkmm/duck.cpp, src/gtkmm/duck.h, src/gtkmm/duckmatic.cpp,
	  src/gtkmm/duckmatic.h, src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/instance.cpp, src/gtkmm/instance.h, src/gtkmm/ipc.cpp,
	  src/gtkmm/ipc.h, src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.h, src/gtkmm/render.cpp,
	  src/gtkmm/render.h, src/gtkmm/renderer_bbox.cpp,
	  src/gtkmm/renderer_bbox.h, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_canvas.h, src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_dragbox.h, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_ducks.h, src/gtkmm/renderer_grid.cpp,
	  src/gtkmm/renderer_grid.h, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_normal.cpp, src/gtkmm/state_normal.h,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_scale.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_stroke.cpp, src/gtkmm/state_stroke.h,
	  src/gtkmm/state_width.cpp, src/gtkmm/state_width.h,
	  src/gtkmm/state_zoom.cpp, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.h,
	  src/gtkmm/widget_enum.cpp, src/gtkmm/widget_enum.h,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.h,
	  src/synfigapp/action.cpp, src/synfigapp/action.h,
	  src/synfigapp/action_param.cpp, src/synfigapp/action_param.h,
	  src/synfigapp/action_system.cpp, src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.h: Removed trailing whitespace.

2007-03-12 22:31  dooglus

	* [r302] src/gtkmm/instance.cpp, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h: Fixed a typo:
	  'candidate', not 'canidate'.

2007-03-12 22:01  dooglus

	* [r301] src/gtkmm/state_draw.cpp: Fix 1677632: newly drawn lines
	  are joined on to existing lines and ducks wherever possible:
	  
	  * closing a bline by drawing a new line from one end of it to the
	  other end extends and loops the bline, as you would expect
	  
	  * connecting the end of one line to a duck in the middle of
	  another (or even in the middle of the line itself) extends the
	  existing line, and links the new end of the line to the duck
	  
	  * drawing a new line which starts and ends on the same duck now
	  creates a new looped bline which is linked to the duck

2007-03-12 12:58  dooglus

	* [r299] src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_guides.cpp: Commented unused variables.

2007-03-12 12:51  dooglus

	* [r298] src/gtkmm/cellrenderer_timetrack.cpp: Commented out the
	  declarations of unused variables. The code which uses them is
	  also commented out.

2007-03-11 17:19  pabs

	* [r297] src/gtkmm/widget_defaults.cpp: Fix 1677596: set range for
	  the brush width widget to 0, <big number>

2007-03-11 10:25  pabs

	* [r296] src/gtkmm/ipc.cpp: Make synfigstudio less verbose when
	  connecting to previous instances

2007-03-11 07:56  pabs

	* [r294] Makefile.am: Don't need to build anything other than a
	  tar.gz

2007-03-10 07:45  pabs

	* [r283] src/gtkmm/render.cpp: Fix 1346746: init targets before
	  using them during rendering in synfigstudio

2007-03-10 00:44  pabs

	* [r281] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h:
	  Partially fix 1368904: add function to enable/disable the
	  timebar. Just need to change appropriate callers now based on
	  user feedback.

2007-03-09 22:07  dooglus

	* [r280] src/gtkmm/state_draw.cpp: Small cosmetic change.

2007-03-09 22:03  dooglus

	* [r279] src/gtkmm/state_draw.cpp: Partially fix 1677632: draw tool
	  can extend looped blines. Don't allow the draw tool to extend
	  blines if they are already looped.

2007-03-09 09:22  pabs

	* [r277] src/gtkmm/app.cpp: Fix 1368881: hide the input devices
	  dialog when the close button is pushed

2007-03-09 06:57  pabs

	* [r276] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp: Convert the
	  rest of the error and warning dialogs to Gtk::MessageDialog since
	  it is more standard and pretty.

2007-03-08 01:54  dooglus

	* [r273] src/gtkmm/instance.cpp: Really fix 1674142: Correct the
	  change made in r265. We need to process the pending events before
	  deleting the canvas views, not after. This was causing a crash in
	  studio::WorkArea::on_drawing_area_event() when renderer_set_ was
	  found to be populated with null handles.

2007-03-07 00:29  dooglus

	* [r267] src/gtkmm/app.cpp: The 'polygon', 'draw', 'sketch', and
	  'width' tools are disabled by default. This change allows the
	  user to re-enable them by setting the appropriate environment
	  variable(s):
	  
	  export SYNFIG_ENABLE_POLYGON=1
	  export SYNFIG_ENABLE_DRAW=1
	  export SYNFIG_ENABLE_SKETCH=1
	  export SYNFIG_ENABLE_WIDTH=1

2007-03-06 22:45  dooglus

	* [r266] src/gtkmm/canvasview.cpp: Fix 1675309: CanvasView::close()
	  was previously just hiding the canvas, not closing it.

2007-03-06 22:35  dooglus

	* [r265] src/gtkmm/instance.cpp: Fix 1674142: We need to process
	  pending events whether using close() or safe_close(). Not doing
	  this was causing 'revert' to crash.

2007-03-04 09:02  pabs

	* [r264] src/gtkmm/app.cpp: Leave the title of
	  dialog_not_implemented as the default for errors

2007-03-04 08:41  pabs

	* [r263] src/gtkmm/app.cpp: Change the "feature not implemented"
	  dialog to a more standard looking MessageDialog

2007-02-25 05:43  dooglus

	* [r254] src/gtkmm/state_bline.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp: Fix
	  1455310: add 'loop' and 'unloop' to the right-click action of all
	  bline vertices (not just the first one) both in the bline tool
	  and the 'normal' tool.

2007-02-25 05:17  dooglus

	* [r253] src/gtkmm/preview.cpp, src/gtkmm/preview.h: Correcting
	  revision 251. We should include <gtkmm/tooltips.h> into
	  preview.h, not preview.cpp.

2007-02-25 05:13  dooglus

	* [r252] src/gtkmm/preview.cpp, src/gtkmm/preview.h: Added tooltips
	  to the preview window's buttons.

2007-02-25 03:06  dooglus

	* [r251] src/gtkmm/layerparamtreestore.cpp: Fix 1420091: Crash when
	  deleting vertex items. By rebuilding the tree immediately, rather
	  than queueing it for later rebuilding, we avoid the tree being
	  redisplayed with invalid entries in it.

2007-02-25 00:30  pabs

	* [r250] README: Add a first try at a README file for synfigstudio

2007-02-14 00:21  pabs

	* [r243] win32inst.nsi.in: Apply 1659129: use .sifz instead of
	  .sif.gz on Win32. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-14 00:19  pabs

	* [r242] images/Makefile.am: Apply 1659126: fix Win32 icon
	  generation with png2ico. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-14 00:16  pabs

	* [r241] synfigstudio.desktop.in: Apply 1655192: add extension to
	  icon in .desktop file. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-11 01:29  pabs

	* [r238] AUTHORS: Add an initial attempt at an AUTHORS file

2007-02-10 01:31  pabs

	* [r237] Makefile.am, images/Makefile.am, win32inst.nsi.in: Build
	  synfig_icon.ico as well as sif_icon.ico
	  Install Win32 icons into the pixmaps directory too
	  Fix 1655158: Use the .ico files instead of synfigstudio.exe
	  Fix 1655155: Remove unused images from the Win32 installer
	  package
	  Fix 1655149: Generate the correct BMP format with imagemagick 6
	  Patches by Dmitriy Pomerantsev (Atrus)

2007-02-10 01:04  pabs

	* [r236] images/Makefile.am: Use png2ico and allow building icons
	  for any sif file. Patch partly by Dmitriy Pomerantsev (Atrus).

2007-02-03 23:49  pabs

	* [r234] src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/canvasinterface.cpp: Fix 1380227: crash when
	  changing keyframes. Patch by Chris Moore (dooglus)

2007-02-03 03:45  pabs

	* [r233] src/gtkmm/widget_value.h, src/gtkmm/widget_waypoint.h,
	  src/gtkmm/widget_waypointmodel.h: Remove commented out atkmm
	  #includes

2007-02-01 03:40  pabs

	* [r232] src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.h, src/gtkmm/dialog_waypoint.h:
	  Don't include atkmm/stateset.h, since it is unused and will be
	  removed from gtkmm soon

2007-01-28 13:45  pabs

	* [r231] src/gtkmm/workarea.cpp: Add mousewheel support in canvas
	  windows. Thanks to Yue Shi Lai.

2007-01-28 09:27  pabs

	* [r230] src/gtkmm/widget_defaults.cpp: Fix typo: TBC -> TCB
	  (thanks to Douglas Lau)

2006-11-18 09:37  xerakko

	* [r229] src/gtkmm/dock_navigator.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/widget_defaults.cpp, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_timeslider.cpp, src/gtkmm/workarea.cpp,
	  src/synfigapp/action.h, src/synfigapp/cvs.cpp: Apply 1576355:
	  variable used after it's been free'd
	  Apply 1576389: missing command line argument can crash synfig
	  Apply 1576373: invalid palette entries are accessed in the GIF
	  target
	  Apply 1568922: poor granularity in blur sizes
	  Apply 1569078: typo: "aperature"
	  Apply 1571307: several variables are used before they are set
	  Apply 1570191: Widget_Distance don't notice when the units are
	  changed
	  Apply 1570319: default bline width is accessed before it is set
	  Patches by Chris Moore (dooglus)
	  
	  Also fix problem where gamma settings were breaking due to using
	  the localised form and causing weird colours.

2006-09-09 10:21  xerakko

	* [r228] src/gtkmm/app.cpp: Solve the gamma problem (corrected
	  locale when loading/saving settings file)

2006-08-31 22:44  darco

	* [r226] src/gtkmm/app.cpp: Disabled some tools which are
	  confusing, incomplete, and/or deprecated.
	  
	  * polygon: you should use the bline tool
	  * width: you should just modify the width ducks directly
	  * draw: was never completed, very buggy, and frustrating to use
	  * sketch: if the draw tool is being disabled, then we might as
	  well disable the sketch tool too
	  
	  These tools may be re-enabled later if necessary.

2006-08-31 22:42  darco

	* [r225] images/about_dialog.sif: Fixed annoying inconsistancy
	  regarding the alignment of the "ALPHA" text on the bar at the
	  top.

2006-08-31 20:16  xerakko

	* [r224] src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/dialog_preview.cpp,
	  src/gtkmm/dialog_preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_waypoint.cpp, src/gtkmm/widget_waypoint.h:
	  Applied user interface rework patch by David Roden (Bombe)

2006-08-31 00:51  darco

	* [r222] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h,
	  src/gtkmm/layertreestore.h, studio.prj: Fix 1382032: problem
	  which made it impossible to enable, disable, or rename layers
	  from the layer tab. Strangely, it should have worked to begin
	  with, and it actually DID work fine in GTKMM 2.4 and 2.6...
	  
	  The way the layer and parameters tabs are currently handled is a
	  total mess. Originally, they were both the same tab, but they
	  went seperate ways at some point but there are still some classes
	  they have in common which is just confusing. Bah.

2006-08-26 02:48  pabs

	* [r220] synfigstudio.desktop.in: Fix synfigstudio.desktop.in:
	  Remove Application from Categories, makes it a valid .desktop
	  file

2006-08-14 08:23  pabs

	* [r218] bootstrap: Allow synfigstudio to bootstrap in directories
	  with spaces in their names

2006-08-07 03:41  pabs

	* [r213] images/info_icon.sif, images/time_track_icon.sif:
	  Workaround 1529489: Changing the font family from Times to Times
	  New Roman allows synfig to build the synfigstudio images on
	  gentoo.

2006-07-24 11:39  pabs

	* [r210] Makefile.am: Wooops, missed .spec versioning in
	  Makefile.am

2006-07-24 11:01  pabs

	* [r207] bootstrap: Add the NEWS file to the .spec instead of the
	  ChangeLog

2006-07-24 10:54  pabs

	* [r205] bootstrap: Don't add the version to the name of the .spec
	  files

2006-07-24 10:43  pabs

	* [r202] config/subs.m4: Disable -ffast-math, since it causes
	  broken code on some platforms

2006-07-24 06:57  pabs

	* [r200] bootstrap, config/synfig.m4, debugcrash,
	  images/Makefile.inc, images/about_dialog.sif,
	  images/canvas_icon.sif, images/color_icon.sif,
	  images/real_icon.sif, images/sif_icon.sif,
	  images/vector_icon.sif,
	  pkg-info/macosx/studio-resources/Welcome.txt, studio.kdevprj,
	  studio.pbproj/project.pbxproj, studio.prj: Replace sinfg with
	  synfig where nessecary in a case-preserving way

2006-07-24 04:31  pabs

	* [r191] alphalicense.txt: Remove alphalicense.txt from SVN now
	  that synfigstudio is fully GPL licenced.

2006-07-23 13:09  pabs

	* [r187] NEWS: Add a couple of SVN numbers known to correspond to
	  releases.

2006-06-06 03:21  darco

	* [r180] macosxbuild.sh, src/gtkmm/about.cpp,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/renderer_timecode.cpp: Added support for SYNFIG_ROOT
	  environment variable. Fixed an uncaught exception bug, which may
	  have been causing silent crashes. Removed some unused treeframe
	  keystore code. Misc MacOS X changes.

2006-06-03 06:07  pabs

	* [r178] src/gtkmm/dockbook.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockmanager.cpp: Fix 1499921 (Debian 365102):
	  synfigstudio startup crashes on amd64. Thanks to: Ben Green
	  (Sciboy), Anthony DeRobertis, Fabian Fagerholm and Kurt Roeckx

2006-05-21 11:46  pabs

	* [r170] NEWS: Update NEWS file, based on diffs between the
	  versions

2006-05-21 09:04  pabs

	* [r169] Makefile.am, TODO, config/configure.ac,
	  synfigstudio-thumbnailer.schemas.in: Add gnome thumbnailer for
	  .sif images. Thanks to Adrian Winchell (SnapSilverlight).

2006-05-21 08:57  pabs

	* [r168] Makefile.am, TODO, config/configure.ac,
	  synfigstudio.xml.in: Add freedesktop.org mime info for .sif
	  images. Thanks to Adrian Winchell (SnapSilverlight).

2006-05-19 09:16  pabs

	* [r167] NEWS: Add an initial attempt at real NEWS file

2006-05-18 12:17  pabs

	* [r166] synfigstudio.desktop.in: Clean up the .desktop file

2006-05-18 10:42  pabs

	* [r165] Makefile.am: Distribute ChangeLog.old too

2006-05-18 10:39  pabs

	* [r164] ChangeLog, ChangeLog.old: Move contents of ChangeLog into
	  ChangeLog.old. ChangeLog will be generated from SVN from now on.

2006-05-18 10:35  pabs

	* [r163] ChangeLog.old, NEWS: Rename NEWS to ChangeLog.old

2006-05-18 10:19  pabs

	* [r162] synfigstudio.keys.in: Woops, forgot to remove the
	  image/sifz mimetype from the keys file.

2006-05-18 10:00  pabs

	* [r161] synfigstudio.mime.in: Remove image/sifz mimetype and merge
	  sifz extensions into image/sif.

2006-04-28 07:43  pabs

	* [r160] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp: Usability:
	  replace "Mask Ducks" with "Show/Hide Ducks". Patch by Adrian
	  Winchell (SnapSilverlight).

2006-04-23 10:10  pabs

	* [r158] src/gtkmm/dockdialog.cpp, src/gtkmm/keyframetreestore.cpp:
	  Fix 1459615 (Debian 364408): allow building of synfigstudio on
	  amd64. Patch by Andreas Jochens.

2006-02-28 01:27  darco

	* [r128] config/build.cfg: Bump version number.

2006-02-23 20:17  darco

	* [r127] config/configure.ac, src/gtkmm/app.cpp: Added
	  "--with-userdir" to configure script to change the default user
	  settings directory

2006-01-30 03:29  pabs

	* [r120] src/gtkmm/dialog_gradient.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/toolbox.cpp: Fix 1367916: don't use set_keep_below for
	  the toolbox/etc, allowing the dock/etc to come to the front on
	  startup.

2006-01-27 04:54  pabs

	* [r118] src/gtkmm/canvasview.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/toolbox.cpp: Fix 1373933, 1358304: problem with gtkmm
	  2.8

2006-01-12 19:59  darco

	* [r115] src/gtkmm/app.cpp: Fixed a namespace issue.

2006-01-10 21:18  darco

	* [r104] Makefile.am: Don't distribute that empty MacOS X package
	  file.

2006-01-10 21:06  darco

	* [r103] config/build.cfg: Bump version number.

2005-12-09 00:26  darco

	* [r96] pkg-info/macosx/studio-resources/InstallationCheck: Remove
	  empty MacOS X package file.

2005-12-08 23:59  darco

	* [r95] macosxbuild.sh: forgot to add the "make package" line

2005-12-08 23:01  darco

	* [r94] Makefile.am, TODO, bootstrap, config/build.cfg,
	  config/configure.ac,
	  pkg-info/macosx/studio-resources/InstallationCheck,
	  pkg-info/macosx/studio-resources/synfig-studio.post_install,
	  pkg-info/macosx/studio-resources/synfig-studio.post_upgrade,
	  pkg-info/macosx/studio-resources/upgrade.sh: Bump version number,
	  updates to subversion integration, add TODO file, add some MacOS
	  X packaging files.

2005-12-05 19:10  darco

	* [r70] config/project.spec.in, fixer, src/gtkmm/about.cpp,
	  src/gtkmm/about.h, src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.cpp, src/gtkmm/onemoment.h,
	  src/gtkmm/renddesc.h, src/gtkmm/toolbox.cpp, src/gtkmm/toolbox.h:
	  Fixed some more confidential notices

2005-11-29 06:00  darco

	* [r68] src/gtkmm/workarea.cpp: Prevent FTBFS under g++ 4.x due to
	  extra namespace qualifier

2005-11-29 05:54  darco

	* [r67] src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Prevent FTBFS
	  under g++ 4.x due to extra namespace qualifier

2005-11-29 04:30  darco

	* [r66] COPYING, config/build.cfg, macosxbuild.sh: Bump version
	  number. Enable optimization level 2 and disable debug on MacOS X.
	  Put GPL2 instead of LGPL in the COPYING file

2005-11-26 19:46  darco

	* [r63] ChangeLog, macosxbuild.sh, src/gtkmm/layertreestore.cpp,
	  win32build.sh: Fixed layer drag bug. Use debug on Win32/MacOSX.
	  Disable optimization on MacOS X.

2005-11-10 17:17  darco

	* [r61] Makefile.am, config/package, images/Makefile.am,
	  pkg-info/macosx/studio-resources/Description.plist,
	  pkg-info/macosx/studio-resources/English.lproj,
	  pkg-info/macosx/studio-resources/English.lproj/InstallationCheck.strings,
	  win32inst.nsi.in: Use the MacOS X installer logo. Packaging
	  tweaks.

2005-11-10 05:21  darco

	* [r60] Makefile.am, images/Makefile.am, images/installer_logo.sif,
	  images/installer_logo_osx.sif, win32inst.nsi.in: Add installer
	  logos for Win32 and MacOS X and use the Win32 one.

2005-11-10 03:32  darco

	* [r59] src/gtkmm/app.cpp: Use a newer _WIN32_WINNT so we have more
	  functions available.

2005-11-10 03:14  darco

	* [r58] src/gtkmm/app.cpp: Now using Gtk::FileChooserDialog

2005-11-09 21:53  darco

	* [r57] src/gtkmm/app.cpp: Added code to handle converting Win32's
	  short file names to long file names.

2005-11-09 17:44  darco

	* [r55] win32inst.nsi.in: Use COPYING instead of alphalicense for
	  the Win32 installer license.

2005-11-09 17:36  darco

	* [r54] images/Makefile.am: sif_icon generation tweak.

2005-11-09 17:31  darco

	* [r53] images/Makefile.am: Ignore the result of sif_icon
	  generation.

2005-11-09 16:00  darco

	* [r51] config/configure.ac, src/gtkmm/autorecover.cpp: errno
	  tweak. Automatically choose which package to create based on host
	  platform.

2005-11-09 09:23  darco

	* [r49] Makefile.am: Package Makefile tweaks.

2005-11-09 08:52  darco

	* [r48] win32build.sh: Add --host=mingw and --prefix to the Win32
	  installer build script.

2005-11-09 08:49  darco

	* [r47] src/gtkmm/app.cpp, src/gtkmm/ipc.cpp: errno tweaking.

2005-11-09 08:33  darco

	* [r46] config/configure.ac, src/gtkmm/ipc.cpp,
	  src/synfigapp/cvs.cpp: Fix errno issues. Fix time issues in the
	  CVS feature.

2005-11-09 08:10  darco

	* [r45] Makefile.am, config/build.cfg: Use synfigstudio instead of
	  synfig-studio in the tarname. Distribute subs.m4 in the tarball.

2005-11-06 04:51  darco

	* [r41] ChangeLog, Makefile.am, config/build.cfg, fixer,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/preview.cpp, src/gtkmm/preview.h,
	  src/gtkmm/renddesc.cpp, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h, win32build.sh: Bump version
	  number. Add a ChangeLog file. Distribute TODO file. Fix some of
	  the licensing stuff. Update licensing fixer script. Disable
	  license key requirement in the Win32 installer. Win32 package
	  fixes.

2005-11-01 21:33  darco

	* [r39] COPYING, Makefile.am, images/Makefile.am,
	  images/about_dialog.sif, macosxbuild.sh,
	  pkg-info/macosx/resources, pkg-info/macosx/studio-resources,
	  pkg-info/macosx/studio-resources/ReadMe.txt,
	  pkg-info/macosx/studio-resources/Welcome.txt,
	  pkg-info/macosx/studio-resources/install.sh,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: Add the LGPL as
	  COPYING. Distribute packaging files. Ignore .svn dirs when
	  listing FIXMEs and hacks. Distribute all the .sif files for the
	  images. MacOS X packaging fixes. Minor Makefile fixes.

2005-10-30 23:53  darco

	* [r32] win32build.sh: Enable license key requirement in the Win32
	  installer.

2005-10-30 22:49  darco

	* [r31] Makefile.am, win32build.sh: Win32 installer build script
	  improvements.

2005-10-30 04:34  darco

	* [r30] src/gtkmm/app.cpp, win32build.sh: Disable license key
	  requirement in the Win32 installer.

2005-10-12 01:03  darco

	* [r27] pkg-info/macosx/resources/install.sh: Change more uses of
	  sinfg to synfig

2005-07-08 10:55  darco

	* [r26] Makefile.am, config/configure.ac, config/sinfg.m4,
	  config/synfig.m4, fixer, images/Makefile.am,
	  images/about_dialog.sif, images/sinfg_icon.sif,
	  images/synfig_icon.sif, sinfgstudio.desktop.in,
	  sinfgstudio.keys.in, sinfgstudio.mime.in, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/sinfgapp, src/synfigapp,
	  src/synfigapp/Makefile.am, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h, synfigstudio.desktop.in,
	  synfigstudio.keys.in, synfigstudio.mime.in, win32inst.nsi.in:
	  Rename more files from sinfg to synfig, change lots of uses of
	  sinfg to synfig, add fixer script for doing this

2005-04-19 23:11  darco

	* [r24] pkg-info, pkg-info/macosx, pkg-info/macosx/resources,
	  pkg-info/macosx/resources/ReadMe.txt,
	  pkg-info/macosx/resources/Welcome.txt,
	  pkg-info/macosx/resources/install.sh,
	  pkg-info/macosx/synfig-studio.info.in, pkg-info/win32: Add
	  forgotten MacOS X packaging bits

2005-04-19 22:51  darco

	* [r22] Makefile.am, bootstrap, config/build.cfg,
	  config/configure.ac, config/ltmain.patch, config/package,
	  macosxbuild.sh, src/gtkmm/dialog_gradient.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/toolbox.cpp: Add MacOS X
	  packaging, SVN revision usage, adjust window hints for the
	  toolbox

2005-03-24 21:48  darco

	* [r11] Makefile.am, images/Makefile.am, src/gtkmm/app.cpp,
	  win32inst.nsi.in: Add some srcdir fixes, sif icon fixes and
	  endianness fixes in the licence code.

2005-03-24 21:38  darco

	* [r8] ., ChangeLog, INSTALL, Makefile.am, NEWS, README,
	  alphalicense.txt, bootstrap, config, config/ETL.m4,
	  config/build.cfg, config/configure.ac, config/cxx_macros.m4,
	  config/gnome.m4, config/libxml.m4, config/project.spec.in,
	  config/sinfg.m4, config/subs.m4, debugcrash, doc, fixer, images,
	  images/Makefile.am, images/Makefile.inc, images/about_dialog.sif,
	  images/about_icon.sif, images/angle_icon.sif,
	  images/bline_icon.sif, images/blinepoint_icon.sif,
	  images/bool_icon.sif, images/canvas_icon.sif,
	  images/canvas_pointer_icon.sif, images/children_icon.sif,
	  images/circle_icon.sif, images/clear_redo_icon.sif,
	  images/clear_undo_icon.sif, images/color_icon.sif,
	  images/draw_icon.sif, images/duplicate_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/group_icon.sif,
	  images/info_icon.sif, images/integer_icon.sif,
	  images/keyframe_icon.sif, images/keyframe_lock_icon.sif,
	  images/layer_icon.sif, images/list_icon.sif, images/logo.sif,
	  images/meta_data_icon.sif, images/mirror_icon.sif,
	  images/navigator_icon.sif, images/normal_icon.sif,
	  images/pastecanvas_icon.sif, images/polygon_icon.sif,
	  images/real_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/saveall_icon.sif,
	  images/scale_icon.sif, images/segment_icon.sif,
	  images/sif_icon.sif, images/sinfg_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/string_icon.sif, images/swap_colors_icon.sif,
	  images/time_track_icon.sif, images/valuenode_icon.sif,
	  images/vector_icon.sif, images/wallpaper.sif,
	  images/width_icon.sif, images/zoom_icon.sif,
	  sinfgstudio.desktop.in, sinfgstudio.keys.in, sinfgstudio.mime.in,
	  src, src/Makefile.am, src/gtkmm, src/gtkmm/Makefile.am,
	  src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
